 
 v16.2 RELEASE (Build 3205) - 2026-08-19

  FIXED - Password-protected ZIP extraction failed even after entering the correct password.
  FIXED - Crash when aborting archive extraction.
  FIXED - Find Files did not handle volume root paths correctly.
  FIXED - Crash in button editor when opening User Defined Commands dialog.
  FIXED - File operation crash when confirmation dialog was declined, and removed 10s wait timeout for the confirm dialog.
  FIXED - Startup probing of device will now log more details when probing takes long time.
  FIXED - Filename filtering did not respect language settings.
  FIXED - 10+ Stability issues

 v16.1 RELEASE (Build 3200) - 2026-07-24
  
  ADDED - Commandline field command "cd path1|path2" to change both panel at the same time. Usefull when Alias shhould change both panels.
  ADDED - MultiScript Method  SetAppCaptionTag(<str>) to change Tag in Application title bar
  FIXED - Content Copy plugin did not always changge the target path to correct path.
  FIXED - Preparing for Move opertion did not show an items count that incremented when items was added to queue.
  FIXED - Drop of files that was sending data using newer AsyncDrop operation. like New Outlook.
  FIXED - Improved error logging in file operations.
  FIXED - 5+ Stability issues

 v16.1 RELEASE (Build 3198) - 2026-07-20

 
  FIXED - 10+ Stability issues

 v16.1 RELEASE (Build 3195) - 2026-07-15

  FIXED - RecycleBin did not always show folder size if folder was sized.
  FIXED - Minor rare issues with Tar.Gz files
  FIXED - Error handling improved in FS-FTP
  FIXED - Error handling improved in PictureTools
  FIXED - Deleting protected files was ask about all files even if DeleteAll option was selected
  FIXED - Attribute +a was added some when files was copied
  FIXED - Error handling of FileOperation Move on same device.
  FIXED - Timestamp not set when moving files and overwriting existing files.
  FIXED - Xml config files can now be read from path containing non-ASCII characters again.
  FIXED - Abort in Delete progress dialog now works again.
  ADDED - 'Create New File' got its own command and Create and Edit will now edit the file again if 1 file is created.
  FIXED - 16+ stability issues

  
 v16.0 RELEASE (Build 3186) - 2026-07-10

  300+ CHANGES - This release includes many small and large improvements to stability, code conformance, and performance.

  ADDED - The file operation engine has been completely rewritten. It handles all Copy/Move/Delete/Unpack/Pack operations. 
          The code has undergone major restructuring to improve stability and support future features.
  ADDED - Create New File (Shift+F4) can now create new empty files using a template rule, including multiple files at once.
  ADDED - Create Folder now supports creating folders using a template rule, including multiple folders at once.
  ADDED - Added support for copying file permissions (ACLs) on NTFS and ReFS file systems.
  ADDED - File copies on the same ReFS volume can now use block cloning, making it possible to duplicate files of any size without consuming additional disk space.
  ADDED - Typing ":ps" works like "cmd", but opens PowerShell instead. pwsh.exe is used when available; otherwise, powershell.exe is used.
  ADDED - Explorer Panel settings can now define the default folder tree width for new tabs when the folder tree is shown.
  ADDED - The file operation progress dialog now supports Ctrl+Pause and Ctrl+Abort, allowing the current file to finish processing before the operation is paused or aborted.
  ADDED - Added a Resume command to the overwrite dialog's "More..." menu when resuming is supported.
  ADDED - Added support for the Recycle Bin as a virtual device. Browse, Restore, Delete, Purge, and Read operations are supported.
  ADDED - MultiDataViewer can now convert compact JSON into a structured, readable format in memory, without requiring it to be saved first.
  ADDED - MultiDataViewer now has initial dark mode support. It is not yet enabled because the implementation is incomplete.
  ADDED - MultiRename now supports "+<num><unit>" in date/time tags, for example: [?date,+30m]
  ADDED - MultiDataViewer now supports color formatting for JSON.
  ADDED - MultiDataViewer can now display PDF documents using Edge WebView2.
  ADDED - MultiDataViewer can now render HTML and Markdown files using the Edge WebView2 control. This requires Edge/WebView2 to be available on the computer.
  ADDED - The MultiScript MakeDir(...) method now supports creating folders using a template rule, including multiple folders at once.
  ADDED - Added the MultiScript CreateFileFromTemplate(...) method for creating new files using a template rule.
  ADDED - The UDC method MC.Explorer.MakeDir now supports creating folders using a template rule, including multiple folders at once.
  ADDED - AutoSave can now automatically save all settings and tabs every X minutes, making it faster to return to your previous state after a crash.
  ADDED - MultiUpdate now remembers the "Backup MultiCommander" setting configured on the update tool's Settings page.
  ADDED - Improved MultiUpdate security. The signature of a downloaded update package is now verified before installation. If the signature is invalid, the update is aborted.
  ADDED - Extended Find Files logging can now be enabled from Settings.
  FIXED - Updated the third-party 7-Zip code to version 26.01.
  FIXED - Updated the third-party zlib and ZIP-handling code.
  FIXED - The Viewer did not show whitespace correctly in UTF-8-encoded files.
  FIXED - MCAudioTools now uses Windows WAV parsing as a fallback for length, sample rate, and bitrate when TagLib returns no value.
  FIXED - Fixed an issue where an icon override could disappear.
  FIXED - When DeviceCombo was disabled, the CrumbPath field and free-space text were not shown.
  FIXED - Fixed an issue when changing FileOperation settings from ProgressDialog.
  FIXED - The processed-item count for FileOperation was not always correct in the progress dialog.
  FIXED - Hardened portable device (WPD) operations, with improved fault handling and logging.
  FIXED - Adding a file to an existing copy queue could remove the current items from the queue.
  FIXED - The "Searching..." notification was not removed from the status bar after a search completed.
  FIXED - Fixed a progress window issue when deleting many files.
  FIXED - Fixed an issue when automatically loading TabSessions.
  FIXED - Linked navigation (Alt+L) now works again.
  FIXED - Fixed an issue when overwriting files whose names begin with a dot (for example, ".file") while copying over a network to a Linux machine.
  ADDED - Explorer Panel now attempts to preserve the current sorting when the column layout is changed.
  FIXED - Fixed a crash when browsing to a portable device (WPD:).
  FIXED - MultiCommander now detects corruption in MultiCommander.xml and attempts to recover the file.
  FIXED - If MultiCommander.xml fails to load, logging is enabled and LogView is shown so the user can see why MultiCommander failed to start.
  FIXED - MultiFileViewer no longer includes hidden lines when copying selected text from the Grep tool to the clipboard.
  FIXED - MultiFileViewer now provides better automatic detection of UTF-8 files.
  ADDED - MultiRename and Inline Rename can now move renamed items into a subfolder, for example: MyFile.txt => SubFolder\MyFile.txt
  FIXED - MultiRename: [N,-2] now correctly returns text from the second-to-last character through the end. Previously, it returned an empty result.
  FIXED - MultiRename: [N,5-] now correctly returns text from character 5 through the end. Previously, the trailing-dash syntax was interpreted as the first five characters.
  ADDED - MultiRename has new date/time tags that use the file's write (W) or creation (C) timestamp instead of the current date and time.
  ADDED - MultiRename has new multi-level parent-folder name tags.
  ADDED - MultiRename has new weekday tags.
  ADDED - MultiRename has a new random-number tag.
          See the documentation for more information about all the new MultiRename tags.
  ADDED - MultiScript now supports the ternary operator, for example: $a = $b ? $c : $d
  ADDED - MultiScript now supports a "foreach" loop for iterating through arrays and collections, for example: foreach $item in $array { ... }
  ADDED - MultiScript now supports the following functions: Pow, abs, clamp, IsNumeric, StrStartsWith, StrEndsWith, StrContains, StrFormat, StrPadLeft, StrPadRight, StrCount, StrRepeat, ArrayReverse, and
  ArraySlice.
  ADDED - MultiScript now supports the Boolean operators AND, OR, and NOT.
  ADDED - MultiScript now handles operator precedence correctly, so parentheses are not required for expressions such as 2 * 3 + 2 to be evaluated correctly. Parentheses can still be used when desired.
  ADDED - FolderTree now has a setting that controls whether symbolic links and junctions are shown as links or resolved to their targets. By default, they are shown as links.
  ADDED - Added a search field at the top of the Settings pages, allowing you to quickly find the setting you need.
  CHANGE - Copying files using the administrator helper is now much faster.
  CHANGE - The Command field command "cf" now supports creating files using templates.
  CHANGE - The Command field command "mkdir" now supports creating folders using templates.
  CHANGE - Extensive code cleanup and restructuring to improve stability and support future features.
  FIXED - More than 80 stability issues.

v15.8 ( build 3140 ) - 2026-02-02

  FIXED - Fixed a minimum size for filename column
  FIXED - FSPortable crash issue on shutdown
  FIXED - MultiDataViewer issue when searching backwards
  FIXED - Ctrl+C / Ctrl+V now works from search result volume (RES#:)
  FIXED - 4 Stability issues

v15.7 ( build 3134 ) - 2026-01-13

  FIXED - Some dll (extensions) was still built with wrong Microsoft build tools version causing issues on some systems

v15.7 ( build 3133 ) - 2026-01-12

  CHANGE - Moved back to Microsoft 2022 Build tools. (Too many issue with latest 2026 tools)
  FIXED  - 4 possible stability issues

v15.7 ( build 3132 ) - 2026-01-07

  FIXED - SDK Version was not updated in previous build, Making MC crash if it loaded extension not build for this version

v15.7 ( build 3130 ) - 2026-01-07
  
40+ Changes

  FIXED - Error when unpacking rar that contains hardlinks
  ADDED - Audio can be be played in Loop. Setting in Audio Popupmenu and "Loop" Option added to MC.PlayAudio custom command
  ADDED - Workaround to make MultiCommander start on Windows 7. (Might be temorary until better solution is decided)
  ADDED - Increased the max number of UserDefinedCommands that can be registered for Menu/Toolbar from 600 to 950
  ADDED - Improved logging in FSSFTP when it fails to connect
  ADDED - Extended logging for drop file operation to be able to figure how why it does not work when it fails
  ADDED - Startup can now be configured to NOT load things in parallel. (Slower but might fix rare startup issues)
  ADDED - Extended column that show real filesize for compressed and spare files 
  ADDED - Video properties from MCVideoTool extension will now refresh there cached value if force refresh is called for
  ADDED - Improved error message for file operation error "Unknown error" Often it is a Windows error code that is not handled. Will now show Windows Error text for that too.
  FIXED - FS-SFTP - Fixed issue removing proxy settings from a site profile
  FIXED - Drag/Drop of files using internal MC drop data now works again.
  FIXED - Saving of tabs to remember got deleted after they was saved during shutdown of MC.
  ADDED - Improved error logging to couple of places.
  CHANGE- Major code cleanup and restructing of codebase for core parts of MultiCommander
  FIXED - Issue when opening archive (zip/7z/rar) on network path ( eg \\Sever\Share\file.zip ), It was not always closed correctly after use
  FIXED - Alias editor did not save the filtered view after sorting columns.
  FIXED - 18+ possible stability issues

  v15.6 ( Build 3119 ) - 2025-09-18

 90+ Changes

  ADDED - New Virtual Filesystem extension "VFG" (Virtual Folder Group) - Group many folders to one virtual device.
          Still Experimental and missing things. 
          Check forum for more information before using it
  ADDED - Linked panel navigation. (Enable for active panel with Alt+L)
  ADDED - New AudioTool - MP3 Merger - Allow you to join multiple mp3 files into one big mp3 file
  ADDED - MultiScript function for handling Unzip
  			  UnzipToMemory(zipfile), UnZipCount(zipHandle), UnzipGetItemContent(zipHandle,index)
					UnzipGetItemSize(zipHandle,index), UnzipFindItem(zipHandle,filename, caseSensative), UnzipClose(zipHandle)
  ADDED - Holding CTRL key while pressing the Play Audio button and it will play "sample" of the audio file instead (25% into file for 10s)
  ADDED - Updated lots of the documentations.
  ADDED - FSSFTP - Added option to skip validation of KeyFile. if you want to try to force use it. 
  ADDED - Unlock device dialog is shown when trying to access bitlocker encrypted device.
  ADDED - Language Editor can now generate a change report based on old language pack file.
  ADDED - Added text tool to Convert JSON file to compact / pretty format 
  ADDED - MultiFileViewer can now show whitespaces
  ADDED - Copy file path to clipboard in Images Viewer (In right click popup menu) 
  FIXED - Improved error handling when you get Access denied error during copy/move when running as administrator 
  FIXED - Improved 'skip all' handling when copying/moving files files that are in use
  FIXED - FSSFTP - Fixed issue so it does not complain about TLS fingerprint for new sites
  FIXED - Close TabSession now work even if tabsession is autoloaded 
  FIXED - AutoScaling options modified a bit to work better in Win11
  FIXED - Calling Copy/Delete from Script resulted in dialog showing Not Support operation 
  FIXED - Change how some logging operations are done in VFG
  FIXED - FileOperationPlugin :ContentCopy - failed in some situations.
  FIXED - FileOperationPlugin :AutoSort - failed in some situations.
  FIXED - Backup of configuration missed some configuration files.   
  FIXED - Crash Issue after showing result from Picture action like Resize/Rotate/Convert.
  FIXED - TabSessionManager will now make sure menu system is loaded before loading the tab session. (Since this should be added to menu system)
  FIXED - Better error handling when opening a 7Zip that is using unsupported compression method 
  FIXED - FileOperations Result dialog for auto handled errors are changed a bit to better show result.
  FIXED - Change some dialogs to use Windows Built in TaskDialog instead of Emulated version.
  FIXED - 15+ Stability issue
  
  v15.5 ( Build 3102 ) - 2025-06-04

  ADDED - Alias editor now support a filter box. that allow the list of aliases to be filtered to easier find the alias you are looking for.
  ADDED - Alias started with $ (instead of !) will now set working directory to the path of the exe started by the alias instead of current active path
  ADDED - Better logging in some places
  ADDED - Create new tab from quick favorites to the Create new tab menu
  ADDED - If auto sizing using 'Everything' is active and sort column is SIZE, then it will auto sort the list when all folders sizes are fetched.
  ADDED - MultiFileViewer now has a syntax coloring template for .ps1 (powershell) files
  ADDED - MultiFileViewer now has a syntax coloring template for .udc (MultiScript) files
  ADDED - When doing duplicate tab, the new tab is inserted after the tab you duplicated, instead of last
  FIXED - Alias editor will save alias if that are deleted and if list is sorted
  FIXED - Batch resize of images works again
  FIXED - Browse into a zip and unpack a zip located in extra long path now works.
  FIXED - Context Menu now works for extra long paths ( > 260 chars )
  FIXED - Fixed issue with Online Document, Pages was missing
  FIXED - Getting free space on extra long path now works.
  FIXED - Setting for "Activate Tab When Dragging over", was not turned off when settings was changed.
  FIXED - Settings Date/Time for files under extra long path now works
  FIXED - Some read error did not generate a error dialog. eg Read error from 7Zip.
  FIXED - Sometimes icons was not fetches first time entering a folder
  FIXED - 16 Stability issues

 v15.4 ( Build 3086 ) - 2025-04-17

  CHANGE- Configuration change for the Extra confirmation box before COPY/MOVE/DELETE, If you enabled this. You need to enable it again
  FIXED - ShellNew menu item icons are down with correct background for dark mode
  ADDED - Improved file system scanning speed of previously scanned folder if there are more then 10.000 items in a folder
  ADDED - FindFiles now remember previous Find File Content text used.
  FIXED - 5 Stability issues
 
 v15.3 ( Build 3084 ) - 2025-04-10

  ADDED - MultiScript StrReplace now support a 4 parameter for option, and option can be "ignorecase"
  ADDED - Option to show a extra confirmation box based on rules. (Advanced) Manual edit of rules in ConfirmationRules.xml needed
  ADDED - Option to show a extra confirmation box before COPY/MOVE/DELETE, By default it is OFF !!
  ADDED - Columns showing a DATE can now be configured to show the date raw/utc, (No translation to local time)
  FIXED - SFTP Increased connection timeout. Some servers was slow to respond when connecting
  FIXED - ImageViewer can now show images located in extra long path
  FIXED - Folder sizing extra long folder paths now works again
  FIXED - Dynamic Submenu item for shell context menu now works again
  FIXED - Fixed shell context menu. It does now handle errors from 3rd party shell extensions better, and if shell extension crash it might not bring MC with it
  FIXED - 4 Stability issues

 v15.2 ( Build 3077 ) - 2025-03-18

  FIXED - When copy a file that already exists, and selecting to rename it. But pressing cancel in rename dialog. The File Already exists dialog is shown again, instead of an error
  FIXED - FSSFTP all icon sizes for device icon are added. 
  FIXED - MultiDataViewer searching backwards and then forwards will not go directly to next match. 
  FIXED - Pressing Shift+F3 in MultiDataViewer will search backwards
  FIXED - Clicking on ".." on virtual device that points to root of device now works again.
  FIXED - Handling error when trying to remove attribute  before overwriting file. but fails because of permission denied.
  FIXED - 3 Stability issues

 v15.1 ( Build 3074 ) - 2025-02-27

  FIXED - If 'Everything' was not configured to index foldersize. The folder size was set to MAX 64bit value. Now it is set to 0.
  CHANGE- Tweaked search parameters for Everything to increase performance
  FIXED - 8 Stability issues

 v15.0 ( Build 3072 ) - 2025-02-17

  65+ Changes

  ADDED - New extension for SFTP/SCP (Files over SSH)
  ADDED - Added support for the 'Everything' search tool. It can be now used to always show folder size. (Turn on in Explorer Panel settings)
  ADDED - TabSession can now be accessed from the toolbar If you have any tab sessions defined
  ADDED - Checksum tool now support .sha,.sha1, .sha256, .sha512 files to verify and create
  ADDED - During Inline Rename - If you press Ctrl+. (Dot) it will replace all dot with space (except if the dot is around numbers eg "My.File.v3.5 => "My File v3.5") 
  ADDED - During Inline Rename - If you press Ctrl+Shift+. (Dot) it will replace all dot with space
  ADDED - During Inline Rename - If you press Ctrl+W it will captalize all words in the filename
  ADDED - MC will set enviroment variables for the MC EXE and Path and more. So all programs MC starts will see this enviroments variables.
  REMOVE- Removed duplicated command for FindFiles.
  FIXED - Shortcuts for 'FindFiles' now show assigned hotkey in tooltop and menu
  FIXED - FTP - Will now delete target file instead of trying to overwrite if it already exists.
  FIXED - FTP - Better error message if server blocked upload of file with error 533 (not allowed)
  FIXED - MultiDataViewer will remember open files in RecoveryRestart
  FIXED - MultiDataViewer - Possible to Copy selected text with Ctrl+C from Highlight and Find edit boxes again. 
  FIXED - Updated 3rd party Zip library, Now empty folders and empty zip files are handled correctly again.
  FIXED - 15+ Stability issues

 v14.5 ( Build 3054 ) - 2024-12-23
 
  40+ Changes

 ADDED - Option to change how Preview panel works. "Autoload preview when file focus changes" (Default) Then it works like before
         If turned off, Preview is shown/updated only when the Show Preview toolbar/hotkey is pressed (Shift+Alt+Q).
 ADDED - Command line field command ":find <wildcard>" will start a FindFiles operation finding files matching the wildcard filter ( Eg ":find *.txt" )
 ADDED - Picture viewer can now go to next/prev image in that folder automatically
 ADDED - Path history can now be remembered between sessions
 ADDED - FolderTree - Highlight of active folder and their parent can now be configured to be shown with different style/color
 ADDED - Some File Drops from some other applications will now be handled better
 CHANGE- Preload cache for Picture viewer change from 10 to 5
 FIXED - WPD (portable) on some devices did not show all items in a folder if there was many items in that folder (Only on some devices)
 FIXED - Navigating into FTP site now works again
 FIXED - Issue with creating very large zip, Sometimes the zip64 header was not created correctly
 FIXED - PictureViewer now always show filename in titlebar, even if it failed to load it
 FIXED - Rename - Replace in file now support large input texts and also remember last used text again
 FIXED - PictureViewer should now work for Win7/Win8 again
 FIXED - Cleanup configuration removed for Portable mode
 FIXED - 10 Stability issues

 v14.4 ( Build 3047 ) - 2024-12-03

 25+ Changes

 FIXED - FindFiles dialog sometimes failed to load previously used values
 ADDED - CustomCommand MC.FileSearch.Search now support option "RESDEVICE=<num>" for what RESx device to show result in
 FIXED - MultiDataViewer now calculate width a little better making wordwrap work better. (but not perfect))
 ADDED - Picture Viewer Toolbar dropdown show when width is to small now works
 ADDED - Picture Viewer can now show "GPS" information if images contains that (press 'G')
 ADDED - Picture viewer can now open google map at GPS location, after the GPS infomrmation stored in the image using Ctrl+G
 FIXED - Unpacking rar and selecting SkipAll on overwrite, hang the progress window in a loop
 FIXED - Progress dialog when testing a rar archive now works better
 FIXED - 7 Stability issues

v14.3 ( Build 3042 ) - 2024-11-25
 
 70+ Changes

 ADDED - Major rewrite of MCPictureViewer extension to use WIC (Windows Imaging Component) and D2D, Support more image formats and faster rendering.
 ADDED - Dynamic Extended FileProp "FolderIsEmpty", "FolderHaveFiles", FolderHaveFiles (Inc Sub)"
 ADDED - After folder sizing you can enable columns that show number of sub files/folders items
 ADDED - During folder sizing on normal filesystem the UI will update during the process and you see the folder size increase.
 ADDED - Option to always show tab list button
 ADDED - Move operation work now for WPD:
 ADDED - More and better debug/log information for WPD:
 CHANGE- Changed so when symlink is created. The target does not need to exists. Symlink are allowed to point to non existing files/folders.
 FIXED - Avg Copy speed now works when copy to/from WPD:
 FIXED - Some extended file properties was not removed from cache if file was renamed
 FIXED - Hang issue during move if source file was removed during the beginning of the move process
 FIXED - Refreshing extended fileproperties for columns if file/folder is modified
 FIXED - File Coloring refresh is triggered for files/folders that are modified
 FIXED - A case where color rules did not always refresh
 ADDED - MultiScript function "FindFirstFileEx" that also support recursive search
 FIXED - When testing archive, The wrong colorprofile was used.
 FIXED - When testing archive the volume name is now also shown
 FIXED - When testing 7z archive and aborting. It said it was successful even if it was not.
 FIXED - When drag and dropping file on a .exe the option to start the exe with the dropped files as parameters that option was not always enabled
 FIXED - Alias Editor now support type search
 FIXED - GetFolder Size now follow settings for how to handle links (Symlinks/junctions)
 FIXED - 8 Stability issues

v14.2 ( Build 3026 )

 UPDATE- Updated unrar code to 7.0.9
 FIXED - Getting folder size works for OneDrive folder again
 ADDED - Tab-area will now show a folder icon if tabs in tabarea is full, When clicking on icon a popup list is shown with all tabs
 ADDED - The dialog shown when closing lock tabs, now has a "Yes to all" option
 ADDED - MC.LoadTabs custom command now has a "DoNotAsk" option to suppress the dialog that is shown when tabs are locked
 FIXED - Focus rect in FolderTree almost not visibile in DarkMode
 ADDED - Now possible to change the auto error handing settings from the progress dialog
 ADDED - DataPreview templates now support to change the font.
 FIXED - DataPreview that show file content will now respect the font size specified in the template
 FIXED - DataPreview Panel how shown correct in none dark mode
 FIXED - 3 Stability issues

v14.1 ( Build 3017 )

 FIXED - With CheckSum dialog when calucating checksum.
 FIXED - Issue with DeleteDlg causing MC to something crash.
 FIXED - Fixed issue with .NL translation file that caused MC to crash.
 ADDED - MultiScript can now force define variable in global scope with "@gvar $varname"
 ADDED - Added FileProperty column for Windows FileType name

v14.0 ( Build 3016 )
  
  190+ Changes 

   ** New Feature **
   * Auto Handing of copy/move/delete errors
   * Show Error report after copy/move/delete operation
   * Play audio files
   * Scriptable columns
   * And more, 190+ Changes

 ADDED - When the Crumbbar is in edit mode. Build in Windows autocomplete is now also active.
 ADDED - Right click on 'Play audio' icon on toolbar will allow you to set volume
 FIXED - Issue so working folder is set when running a exe from a zip.
 ADDED - Zip archive will now store LastAccess and Created time for each item when creating zip archive.
 FIXED - Unpacking will now show that in the title bar of progress dialog
 FIXED - Progress bar is now shown correct when transfering to/from portable device
 FIXED - Issue when typing path in commandline field.
 ADDED - Support for Onedrive for Business  accounts that are connected in the local computer.
 ADDED - Popupmenu shown when dragging file with Alt, got a new option if files are dropped on an exe. Run exe with drogged files as parameters.
 FIXED - Option that control if link target should be shown for Symlink/Junction now works for file.
 ADDED - Option to show error report for only Skipped and Failed files. If error was handled so it was copied/moved. it will not be shown in the error report.
 FIXED - Change the layout of the CopyTo Dialog. all option in the two columns have swap places.
 ADDED - Added Column showing onedrive status for files (Experimental. not 100% yet)
 FIXED - Replace files in zip archive sometimes failed
 ADDED - 'AllowAsFileProp' Option for MultiScript. And Only script with this option can be connected in the Scriptable columns dialog.
 FIXED - Icon Option to get associated icon or not. Had no effect. Now it works.
 FIXED - Delete from zip now update progress bar better
 FIXED - Delete from zip can now be aborted.
 ADDED - Pressing Ctrl+O in CopyTo Dialog moves focus to Overwrite options
 ADDED - Pressing Ctrl+R in CopyTo Dialog moves focus to Protected files options
 FIXED - Will no longer fetch icon from exe file if the file is in onedrive folder, and file is not synced to local.
 ADDED - Dialog for 'Compare Folders Advanced' will now remember last used settings
 ADDED - Support for adding scriptable columns, Let a MultiScript fetch what should be shown in a column in the file list
 ADDED - MultiScript function "VariableDefined(<str>)" that returns 1 if text provided exists as a variable.
 CHANGE- Major rewrite of error handing of Copy/Move/Delete operations.
 ADDED - MultiDataViewer is now language aware when doing find. (Can be turned off in option for faster search)
 ADDED - Opening Zip archive with large number of files is now faster
 ADDED - Copy/Move/Delete options for auto handling errors
 ADDED - Copy/Move options for auto handle overwrite options.
 ADDED - Copy/Move/Delete options for showing error report after operation is done
 ADDED - Options for Copy/Move/Delete for System/Hidden/ReadOnly options joined to be 1 options for "Protected Files" (instead of 3)
 ADDED - Support for 64px size thumbnails 
 ADDED - DataPreview templates can be updated if they are not customized.
 ADDED - Playing audio file are now shown in status bar
 ADDED - Play Audio Sample command to menu (Will jump 25% into audio file and play for 15s then stop)
 ADDED - Play audio will now try to play "mp3,wav,mp4,m4a,avi,mkv,acc,wma,wmv,asf,flac" (some are movies but it will play the audio if possible)
 ADDED - Play/Stop Audio file icon button to toolbar
 ADDED - Improvements how playing audio files works and are shown.
 ADDED - Preview template for audio files can now select to play the audio file
 FIXED - Unpacking Zip with had a space in the filename just before the ".zip" part. 
         Failed to unpack since it tried to unpack into a folder of the name, and space at the end is not allowed on Windows.
 FIXED - Issue when moving tab to other side and the new active tab in the "from" panel was delayed loaded.
 FIXED - SDK API Cleanup
 FIXED - 18 Stability fixes

v13.5 Release ( Build 2983 ) ( 26-Jan-2024 )
 
 33+ Changes - Stability release

 FIXED - Issue opening rar files
 FIXED - Issue with MultiSctipt function StrFind
 ADDED - Experimental support for playing mp3. (Command found under File menu, or CustomCommand MC.PlayAudio/MC.StopAudio)
 CHANGE- How some items are loaded during startup
 FIXED - Stability issue with unrar
 FIXED - 13 Stability issues

v13.4 Release ( Build 2977 ) ( 8-Jan-2024 )

+40 Changes 

 ADDED - Support for restoring closed tab. Right click on tab area to get popup list of closed tabs
 CHANGE- Code clean up and code restructre, (prepare for future new features)
 CHANGE- LogView (Ctrl+L) will now be in unicode so chinese, japanese characters are show correctly
 CHANGE- Logfile will now write in unicode so for eg: chinese, japanese are written correctly
 CHANGE- Upgrade of 3rd party frameworks used.
 CHANGE- Lot of code cleanup
 FIXED - View file from password protected zip now works again
 FIXED - Internal Code strucute. prepare for release.
 FIXED - 14 Stability issues
 
v13.3 Release ( Build 2969 ) ( 11-Dec-2023 )

+55 Changes 

 ADDED - Can now add favorites folders and favorites from the Favorites popup menu
 ADDED - CustomCommand MC.BackupConfig / MC.RestoreConfig
 ADDED - Quick search should support special language characters better
 ADDED - Keep Alive handing, Prevent system from going to sleep during file operarations
 ADDED - Foldertree now shows virtual folders on root level like Download,MyDocuments and so on.
 CHANGE- Update to use new version of build system and compilers
 CHANGE- Change so some configuration to be loaded on demand instead of during startup
 FIXED - Issue with text color for favorites window not read correctly
 UPDATE- Updated to Unrar Src 6.2.10
 FIXED - Prevent foldertree from adding virtual link items if they already exists
 FIXED - Drag and Drop will now always deelect when copy/move operation starts
 FIXED - Drag and drop will remeber the selection it had, so they can be retrieved with NumKey+*
 FIXED - Crash if MultiScript Debug window, If it was closed before script was done
 FIXED - Quick search issue
 FIXED - When clicking on commandline field, All texts is now selected
 FIXED - Fav: no longer shows a strange size folders
 FIXED - Draw issue in FolderTree
 FIXED - Ctrl+A/Ctrl+D works in find fields in text viewer
 FIXED - WindowsPreviewHandler (pdf,xls) works better in HoverDataPreview and PanelDataPreview
 FIXED - Better handling of 7Zip that require password to be opened/unpacked
 FIXED - 15 Stability issues

Release v13.2 ( Build 2956 ) ( 02-Aug-2023 )

  FIXED - Fixes to allow update of MC in Microsoft AppStore

Release v13.1 ( Build 2955 ) ( 25-Jul-2023 )

 + 12 Changes

  FIXED - Some Script function did not handle extra long path correctly
  FIXED - 5 Stability issues

Release v13.0 ( Build 2953 ) ( 20-Jul-2023 )

+ 55 Changes

 ADDED - Device that are marked as offline will now be skipped on a couple of situations. 
 ADDED - Dialog warning about not enougth free space when starting a copy operation will ow show how mush is needed and how much additional free space is needed 
 ADDED - During start MC will try to ask Windows if a Remote device is availible. Sometimes Windows will report as availible even if it is not.
          But when it does report it as disconnected. MC will not hang waiting for a timeout at startup.
 ADDED - When Previewing images in panel the image will now be fetch using WIC ( Windows Imaging component ) 
         instead of Windows thumbnail system since the thumbnail system always returned a squered image.
 ADDED - Data Preview in panel can now take focus. Allowing for wheelzoom when preview is showing text
 ADDED - Better dark mode support for Data Preview
 ADDED - Foldertree can now customize font size
 ADDED - Middle click on folder in tree will open folder on other panel
 ADDED - Foldertree expand/collapse icon changed
 FIXED - When renaming and file is open by other process, MC will now have an action to retry in the error dialog.
 FIXED - Issue when canceling FTP quick connect dialog
 FIXED - Editing large QWORD Regvalue in REG:
 FIXED - Language pack submit now works again
 FIXED - Packing 7z archive, The progress bar will now work better.
         However it will not show current file being pack since the newer 7z will packs files in parallell
 ADDED - DataPreview can now also be shown inside a Panel
 ADDED - Dropping file/folder on tab header that tab will go to that folder and file
 ADDED - Dropping file/folder on empty tab area and a new tab will be opened for that folder and file
 CHANGE- PASV is now default for new FTP connections
 FIXED - FileOperation Progress dialog will now again show if the file operation is Copy/Move/... in title bar
 FIXED - FileOperation Error dialogs will now respect the option to not auto scale UI
 FIXED - 10 Stability issues

Release v12.8 ( Build 2929 )

+20 Changes

 FIXED - Crash Issue when copying files
 ADDED - Relative/Absolute path conversion for StartFolder / IconPath in QuickLaunch dialog
 ADDED - MultiScript function StrSplitAnyOf , will now split on any of the delimiters specified
 CHANGE- More Code Cleanup and restructing of code.
 FIXED - MultiScript function CopyFile now uses the target name of the file if set and is different that source name.
 FIXED - Rare crash issue that could happen during shutdown of program
 FIXED - Crash Issue if Renaming many selected item and one of them is deleted before it gets to that item 
 FIXED - Rare crash issue with opening RAR archives
 FIXED - 5 Stability Issues

Release v12.7 ( Build 2923 )
 
  +45 Changes

  CHANGE- Lots of code cleanup and redesign.
  FIXED - Another zip issue with empty zip file.
  FIXED - Various minor issue when modifying zip archives
  FIXED - Issue when when copying single file to a filename that already exists.
  FIXED - Tooltip for Path column now show the path
  FIXED - 5 Stability issues


Release v12.6 ( Build 2915 )

+20 Changes

  FIXED - Browsing empty zip archive now works again
  FIXED - Deleting from zip archive now works again
  FIXED - 15 stability issues

Release v12.5 ( Build 2912 ) ( 19-Okt-2022 )

+30 Changes

  ADDED - Possible to configure devices that should NOT be shown in UI (Device DropDown/Toolbar/...)
  ADDED - Path column will now be shown with ... at the beginning of the path if full path does not fit
  ADDED - Added so logging can be enabled from application parameters
  FIXED - Skip works again when unpacking zip archive.
  FIXED - Issue when opening a zip after another zip.
  FIXED - MC.FileSearch.Search CustomCommand now works again
  FIXED - Progress counter when unpacking is now correct
  FIXED - Improved logging for some rare errors that should happened.
  FIXED - 10 Stability Issues ( 6 issue since bulid 2910 )

Release v12.1 ( Build 2906 ) ( 20-Aug-2022 )

+10 Changes

  FIXED - 12 Stability fixes


Release v12.0 ( Build 2903 ) ( 10-Aug-2022 )

350+ Changes

-- 2903 - ( 10-Aug-2022 )

  ADDED - Hover data preview - Toggled on/off with Alt+Q or click on Talk-Bubble button on toolbar
  ADDED - Menubar now support darkmode.
  ADDED - Device dropdown can now show free space on device. 
  ADDED - Added support for AES-256 encryption for unzip
  ADDED - Added support for creating zip archive with encryption PKCrypt or AES-256
  ADDED - NODIALOG option to MC.FileSystem.Delete by default it shows dialog
  ADDED - FSZip profile can now configure encoding (Like UTF8 or other)
  ADDED - Zip now support LZMA/LZMA2 compression method for zip and unzip
  ADDED - Fixed DPI Aware issue with error dialog in file operations.
  ADDED - Added more and better logging for when some errors happens
  ADDED - Custom command "MC.FileSystem.Delete" now works again
  ADDED - Ask if entire archive should be unpack when executing file from within a archive.
  ADDED - Custom tab color can now be configured with a color for when the tab is both active and inactive.
  UPDATE - Zlib 3rd party library
  UPDATE - Zip source updated and rewrites in MC Zip extension because of major zip api changes.
  UPDATE - 7-Zip code to v21.07
  UPDATE - Updated unrar source to v6.10.3
  UPDATE - Updated 3rd party xml code library
  CHANGE- FSZip will by default use UTF8 encoding of filenames
  FIXED - Better error handling of volume that require password is opened for browsing. but Cancelled by user in pwd dialog
  FIXED - Better handling when accessing network resources and need to ask for login.
  FIXED - Changing Hotkey was not saved if change was done from the User Defined Command dialog.
  FIXED - Progress dialog will no longer show +1 item when done.
  FIXED - Progress dialog elapsed calculation is now better.
  FIXED - Thread timing issue that made it fail to get icons at startup
  FIXED - Formatter for size will now always show TB size with 1 decimal.
  FIXED - Issue when pressing cancel in 7z password dialog
  FIXED - Issue when viewing embedded file inside 7z archive
  FIXED - Crash issue when pressing abort in copy/move dialog just when file operation finish.
  FIXED - Fixed option "Only auto close on short processes" for Copy/Move file operations
  FIXED - FileProperties (Columns) that should be fetched in the background was not always fetched in the background.
  FIXED - Thread memory leak. Changed the parallel startup to use another thread method.
  FIXED - Overwrite option issue when unpacking multiple zip files.
  FIXED - MultiText for a text for FSZip extension used duplicated text id
  FIXED - In some rare situation the default icons was not loaded during startup.
  FIXED - Moving files via Symlink on other volume that points back to source volume
  FIXED - If custom tab color is used but inactive color is not set. It will now used the same color for both active / inactive
  FIXED - Copy Unpack file operations pluging now detects first rar volume of RAR5 files correct.
  FIXED - Filter button below filelist sometimes lost dark mode style
  CHANGE- Massive code restructuring of core parts.
  FIXED - 12 Stability issues

Release v11.6 (Build 2345) ( 24-Jan-2021 )

 FIXED - 2 Stability fixed

Release v11.5 (Build 2342) ( 4-Jan-2021 )

46+ Changes

  ADDED - MultiScript function for MultiRename to start a MultiRename with list of files and a profile without showing UI
  ADDED - Fixed Name conflict issue when items from different path but had same name was being renamed
  ADDED - MultiRename window can now be started from MultiScript with a list of files/folders and what profile to autoload
  ADDED - New MultiRename Tag [U] upper case, [L] Lower case [n] Normal case
  ADDED - RestartAndRecovery now save recovery data when application is forced down by restart because of Windows update
  ADDED - When option to show Close button on TabPanel is on, the close button now supports dark mode
  ADDED - Support for Application Restart and Recovery, Restarts MC on Crash / Reboot becuse of Windows Update, Remembering most things as as it was.
  CHANGE- Rename, Replace text part in name does now ignore case for find part 
  CHANGE- Rename, Replace text part in name does now keep dialog open until close is pressed
  CHANGE- How Inline rename works. When pressing left/right arrow key (and also Ctrl+Arrow)
  CHANGE- Changed how MultiRename profiles created/saved/removed
  FIXED - High dpi issue with MultiRename window
  FIXED - Issue where Crash dumps was not created, Workaround added because of bug in Google Drive ShellExtension
  FIXED - Issue when copying files to extra long path
  FIXED - Issue with MultiScript CopyFile(..) , Progress dialog was not able to be shown.
  FIXED - Issue when open path from locked tab, Some configuration option resulted in 2 new tabs opening instead of 1
  FIXED - Never hide ".." folder even if file attribute say so (Win11 sometimes have .. folder as hidden)
  FIXED - 14 Stability Issues
  REMOVE- Lots of unused code that was not used anymore since it was rewritten.

Release v11.4 (Build 2831) ( 23-Okt-2021 )

25+ Changes

  ADDED - MultiScript function "GetApplicationArch()" that return the Application architecture 32 or 64
  ADDED - MultiScript function "GetSystemArch()" that return the OS architecture 32 or 64
  CHANGE- Ignore case is on by default for find content search
  FIXED - Filter/Advanced search option for matching extneded attributes like Symlink/Junction
  FIXED - Settings for Sort order for new tabs work now even if column order is customized
  FIXED - Fixed Parallell startup issue that happend rarly in some situations
  FIXED - Code cleanup and minor fixes
  FIXED - 15 Stability issues

Release v11.3 (Build 2822) ( 29-Sep-2021 )

80+ Changes
  CHANGE - Copy/Move Progress dialog changed. Can now show Read/Write speed separately and some other changed.
  ADDED - Some parts of Startup is now run in parallel.
  ADDED - Support for Changing Config/Log/Userdata path from a special file
  ADDED - Support for redirecting some config files to anohter locations from a from a special file
  ADDED - FileType setup now support the Windows verb 'Enqueue'
  ADDED - Path sent as parameter to multicommander now support  "." for current folder
  ADDED - Some part of startup process is now run in parallel.
  ADDED - Option to prevent Windows from autoscaling in MultiMontor setup with different monitor scaling.
  ADDED - Option to tweak how fast a refresh of the filesystem should happen when filesystem is changed
  ADDED - Setting for gridline line type.
  ADDED - Mouse command 'Go to parent folder' for Mouse configuration 
  FIXED - Changing Attributes/Datetime on items in RESx: virtual device now works.
  FIXED - Improved navigation when filelist is in ListView mode.
  FIXED - Home/End keys issue in some edit fields.
  FIXED - Overwrite Readonly files issue when unpacking zip archive
  FIXED - 10 Stability issues

Release v11.2 (Build 2795) ( 3-Jul-2021 )

  65+ Changes

  ADDED - Paste File/Folder name from clipboard into explorer panel and focus will move to that file/folder
  ADDED - Hold Ctrl while pressing Menu > File > Exit to suppress confirm dialog
  ADDED - MultiScript function StrRFind now support offset parameter, this parameter is at what position the reverse scan should start
  ADDED - Can now configure different gridlines colors for horizontal and vertical gridlines
  ADDED - New language Bulgarian, create by Lyuben Penchev
  ADDED - Added new command to open folder in new tab or in other panel
  ADDED - MultiCommander part in shell menu now show a command for "Open in New Tab" / "New Tab Other Panel"
  ADDED - If ExplorerPanel config is corrupt when starting a messagebox is now shown asking if it should reset that file.
  ADDED - During startup MC verify extensions. This process is now done in parallel to improve startup speed.
  ADDED - Tabs can be have delayed update. They are not updated during startup. This can be disabled in settings.
  ADDED - UI Panel for the FreeSpace Field and the icons after it are rebuilt. A ExplorerPanel tab UI will now be created faster. Look should be identical with before.
  ADDED - Add Warning and user settings to warn if multiple files are selected when doing edit operation.
  CHANGE - Internal changes to Explorer Panel status bar now it is build. Now using another UI panel.
  CHANGE - Did lots of code cleanup in reading the settings.
  FIXED - Problem browsing registry
  FIXED - Crash issue with VideoTool Extension
  FIXED - Connect to FTP bookmarks now works again
  FIXED - FTP Device now has icon on high dpi display again
  FIXED - Minor optimizations in various places
  FIXED - Missing updated language packas
  FIXED - Right click on Show/Hide Hidden files icon now works again
  FIXED - Get Filename of folder with dots sometimes cut of the last dot part, Like it was a file extension
  FIXED - Copy fileitems with date to clipboard the date was UTC and not local time 
  FIXED - WPD: (Portable device) - Now works better when getting disconnected. Will to a refresh and clear view better
  FIXED - Top margin for main toolbar is correct
  FIXED - ExplorerPanel loading a corrupted config file showed error dialog behind splash screen at startup
  FIXED - 5 Stability Issues

Release v11.0 (Build 2770)  ( 23-Feb-2021 )

   ADDED - UserDefinedCommands file format changed. 
   ADDED - UserDefinedCommands can now be loaded from zip
   ADDED - Old UserDefinedCommand scripts will be migrated to scripts/*.udc script files
   ADDED - Minor redesign to UserDefinedCommands dialog (TreeView and Icons and DarkMode Support)
   ADDED - Will show a message at startup if there are problem loading extension/modules (Failed to be upgraded?)
   ADDED - MultiScript with external ref can now be views or converted from MutliScript editor.
   ADDED - :SysInfo command now includes Monitor information and Windows 10 Release ID
   ADDED - New MultiTags  ${pid}, ${mctemp} , ${sourcefocusext}, ${targetfocusext}
   ADDED - MC.Explorer.Goto support ItemFocus= paramter to set focus after scan
   ADDED - Heigh of freespace field is now calculated better
   ADDED - Example script is included in release
   ADDED - MultiCommander.exe CommandLine command /OPEN now support more paramters  /PANEL=Left|Right|Active|Source|Target and /NONEWTAB is added
   ADDED - MultiCommander.exe CommandLine command /QUIT to exit current running instance
   FIXED - Backup/Restore now also include the new Script files
   FIXED - MultiUpdate update will now log everything it does during update to MultiUpdate_log.txt
   FIXED - Various DPI Scaling issue in FolderTree, CheckSum extension, MultiRename
   FIXED - FindFiles dialog now closes again when Escape key is pressed.
   FIXED - WindowsExplorer styled setup will now map F3 to search again.
   FIXED - Scaling issue with the width of items shown on statusbar
   FIXED - Toolbar still visible if all toolbars disabled in config
   FIXED - Fixed issue with wrong icons sizes used in 125% / 175% scaling, Will now be drawn in correct sizes and scaled if needed
   FIXED - Many icon scaling issues at 125%/175% scaling
   FIXED - Copy 1 folder, and it is empty. Datetime is now kept is option for that is enabled.
   FIXED - CommandLine field will now try to do auto complete on paths when starting to type. 
   FIXED - MultiDataViewer - HyperLink in text that was formatted was not always clickable
   FIXED - MultiDataViewer - Text Formatting that formated text to end on line. did not block formatting that was inside.
   FIXED - MultiDataViewer - Text with multiple formatting sometimes lost formatting when parts was selected
   FIXED - MultiDataViewer - Sometimes crashed if selection was done over part with multiple formats
   FIXED - Tweaked detection if file is binary during content search and file viewer
   FIXED - Minor tweak and code cleanup
   FIXED - 6 Stability Issues 

Release v10.2 (Build 2745) ( 16-Dec-2020 )

   FIXED - SaveToFile in right click command in logview now works again
   FIXED - CheckSum extension now works again in None-Dark mode
   FIXED - Tweaked some margin in the new ComboBox
   FIXED - DeviceDropDown lost it font style sometimes.
   FIXED - Create new UserDefinedCommand did not show up in the list
   ADDED - Improved debug logging in some places 
   FIXED - 2 stability issues

Release v10.1 (Build 2743) ( 4-Dec-2020 )

   ADDED - UserDefinedCommand windows can now search/filter commands
   FIXED - DPI Scaling issue with header control sort arrow
   FIXED - DPI Scaling issue with icon on delete dialog
   FIXED - DPI Scaling issue with tab height
   FIXED - DPI Scaling issue with custom combobox 
   FIXED - Tweaked DPI Scaling for fonts in various places
   FIXED - 2 stability issues

Release v10.0 (Build 2740) ( 13-Nov-2020 )

   ADDED - DarkMode support on Windows 10 in MOST places. MC have over 100 dialog so only the most common are changed
           Using Undocumented Windows 10 API so risk is that it stops to work in future Windows release.
           Also many UI combonents have been rewritten like a new custom drawn ComboBox and toolbar
   ADDED - FindFiles option to do content search in binary files.
   ADDED - FindFiles will no longer by default search binary files when doing content search.
   ADDED - Command field command to set position and size of MC.  ":setpos x y""
   ADDED - MultiScript SaveStringToFile can now append to file
   ADDED - Option to now activate tab when dragging over a tab when dragging files
   ADDED - Hold shift to allow auto tab activation if the option to not switch tab while dragging in enabled. 
   ADDED - CopyTo Dialog now have button for easy adding path from other open tabs , favorites and recent vistied locations.
   ADDED - In FindFiles dialogs, You can now set search path to selected folders in source/target panel
   ADDED - Command to send all columns as displayed to the clipboard
   CHANGE- Change some default configurations values
   CHANGE- Minor redesign of CopyTo dialog
   FIXED - Freespace field will now auto scale font according to DPI settings. So if you run HighDPI setup you might need to lower the font again
   FIXED - Search dialog will not start search if return is pressed when input focus is in text box.
   FIXED - Issue when dragging from search result RESx: devices
   FIXED - Right click on rename icon on toolbar now have same items in popup as rename submenu in menu has.
   FIXED - Tab Tooltip wrong if a tab was moved inside the same panel
   FIXED - Fixed problem that tab open from locked tab did not receive input focus
   FIXED - Dialog size of Filter Editor is now correct
   FIXED - High DPI Issues in various places
   FIXED - Possible crash issues because of uncommon configuration combinations
   FIXED - Common crash that happens a lot of 32bit machines and sometimes on 64bit
   FIXED - 6 Stability issues

Release v9.7 (Build 2590) ( 26-Apr-2020 )
  
   ADDED - New Language - Slovenian , created by Jadran Rudec
   ADDED - CustomCommand MC.Run will now set the exitcode to $__CMDRESULT if WAIT option was used.
   FIXED - Filesearch with date match had an UTC issue when comparing time
   FIXED - MultiScript command GetSourceSelectedFileNames(.) now support the optin "IGNORE_FOCUS" that ignore fouce item.
   FIXED - MultiScript command "NetWGET" tried to save to alternative when it should not.
   FIXED - Fixed crash issue with WPD (Portable)
   FIXED - Issue when copying from RESx/Flat view and selecting merge folders.
   FIXED - 6 Stability Issues

 Release v9.6.1 (Build 2582) ( 20-Jan-2020 )

  ADDED - So last 10 matches from FindFiles is shown in list during search
  FIXED - Issue with FindFiles dialog that stayed disabled
  FIXED - Command "Copy path to clipboard" failed for items on RESx: 
  FIXED - 3 Stability Issues

Release v9.6 (Build 2580) ( 18-Jan-2020 )

  FIXED - Issue with build system
  FIXED - Issue with tab icon not getting correct icon at startup
  FIXED - 3 Stability Issues

Release v9.5.3 (Build 2578) ( 14-Jan-2020 )

  FIXED - Spash screen error (Again... Build system failed to pickup the correct image)
  FIXED - 1 Stability Issues

Release v9.5.2 (Build 2577) ( 13-Jan-2020 )

  FIXED - Spash screen error
  FIXED - 2 Stability Issues

Release v9.5.1 (Build 2575) ( 11-Jan-2020 )

  FIXED - 10 Stability Issues

Release v9.5 (Build 2570) ( 30-Dec-2019  )
 
  ADDED - Possible to customzie the font that the tabs will use
  ADDED - Possible to limit tab size is with by size
  ADDED - Possible to limit tab size is with by characters
  ADDED - Video Properties for length,width,size,FPS,BR,FourCC (Using Windows Shell)
  ADDED - Customze Column list now support double click to remove or add items 
  ADDED - Create MD5/SFV files now support subfolders, however if used that will make them incompatible with most other checkers
  ADDED - New Language Ukrainian, Created by Bohdan Kalynyak
  ADDED - MultiScrtip - ArrayToString(arr, delimiter, esacpe yn) that take an array of string and combine them to a string with delimiters. 
  FIXED - FindFiles windows enabled/disabled in another way so should work better for all now
  FIXED - Correct MCIcons.dll files so icons are now correct again. 
  FIXED - 5 Stability Issues
    

Release v9.2.1 (Build 2555) ( 7-Nov-2019 )

  FIXED - Possible hang fixed

Release v9.2 (Build 2555) ( 7-Nov-2019 )

 80+ Changes

  ADDED - WebDownload features. Use from Tools menu or type ":wget <url to file>" in command line field
  ADDED - Added option for FolderTree if auto adjust horizontal scrollbar should be used
  ADDED - Internal command and Menu command to restart current instance as Admin
  ADDED - Internal Command to save layout (Just as it is when exiting but without exiting) (Core.1130) (To be used from own script)
  ADDED - Option to sort files so files are shown before folders
  ADDED - VirtualDevice created from search will now preset search string for viewed files if search used content matching
  ADDED - MultiScript command "StrToCamel" that convert string to 'Camel Case'
  ADDED - Change order of some of the commands sent when connection to FTP using SSL/TLS, Some FTP server that did not like previous order
  ADDED - When renaming folder to already existing folder. You can now selected to merge content. 
  ADDED - Toolbar inside FolderTree with Collapse all command 
  ADDED - Commandline field command ":qexit" That will exits MC quickly without save cleanup
  ADDED - Internal command to launch internal text or picture viewer even if anohter viewer is configured
  ADDED - Extended logging to startup and shutdown proceess, Only active if loglevel DEBUG is set for Application log
  FIXED - SortFolderByName option now works again
  FIXED - QuickLaunchbar Icon for local icon works again
  FIXED - Added workaround in MultiDataViewer to avoid weird scroll behavior
  FIXED - Crash when using Env variables that no longer is valid in QuickLunchBar
  FIXED - Using UserDefinedCommands in CustomContextMenu would mess up if you removed some UserDefinedCommands.
  FIXED - Change how Secure FTP (SSL/TLS) communication works. 
  FIXED - Possible hang issue when expanding FolderTree
  FIXED - Sometimes removable devices was added twice to the FolderTreeView
  FIXED - MultiDataViewer user profiles could sometimes not be removed
  FIXED - MultiDataViewer user profiles with forced view mode did not always load correct
  FIXED - Ctrl+Return now works in VirtualDevice (RESx:)
  FIXED - Calculate checksum now shows the CRC32 value in the correct way
  FIXED - Progress dialog when using 'Correct folder date/time'
  FIXED - Using 'Find And Replace in file' on file in virtual device (ex RESx:)
  FIXED - 15 Stability issues


Release v9.0 (Build 2532) ( 28-Jul-2019 )

 30+ Changes 

    ADDED - Redesign of how progress windows are show to get around Windows 10 bug
    ADDED - FileSearch is using the new VirtualDevice for search result
    ADDED - Google Drive is now detected and show in dropdown and device toolbar
    ADDED - Session Tab limit now 70
    ADDED - Added option to enable workaround for 7Zip drag and drop issue
    ADDED - Search can now have a result limit. So it stops when limit is reached.
    FIXED - Fixed issue when selected overwrite if newer when doing move operation in same disk
    FIXED - Fixed crash when aborting file copy during prepare phase
    FIXED - Many stability issues fixed

Release v8.3 (Build 2469) ( 7-Aug-2018 )

 15+ Changes

 ADDED - Executing generate bat script can now accept parameters from commandline field
 ADDED - Can now select Skip All when error is SOURCE and TARGET is same path
 ADDED - Create new shell item will now logout what is happening. Some users have issue with this, and this might solve why
 FIXED - Invert selection now works better in Windows Explorer Mode 
 FIXED - Image library failed on PSD files.. remove PSD support since it was very buggy
 FIXED - Now support more then 300 UserDefinedCommand, New limit is 600
 FIXED - 2 Stability issue reported by crash report system

Release v8.1 (Build 2452) ( 5-May-2018 )

 10+ Changes

 FIXED - Sometimes overwrite of readonly files failed
 FIXED - Showing second dialog page in MP3 Info dialog (ctrl+y) caused a crash
 FIXED - AudioTool - Create Mp3 Playlist can cause a crash if filter used mp3 genre matching
 FIXED - Crash when trying to replace a file inside a zip archive
 FIXED - FSBZip2 extension now support new overwrite system when extracing multile files from .tar.bz2 file
 FIXED - 3 Stability issue reported by crash report system
  
Release v8.0 (Build 2450) ( 1-May-2018 )

 140+ Changes

 ADDED - FS7Zip extension is now build using 7Zip SDK 18.01
 ADDED - FolderTree now support rename
 ADDED - Core Settings to start MultiCommnder minimized
 ADDED - Added Command line settings /MINIMIZED to force MultiCommander to start minimized
 ADDED - FolderTree can now show smart expand boxes, That only show the [+] expand box if folder have subfolders. 
         (However it can cause performance issuse since it must scan all folders, Enable settings in Explorer Panel Settings)
 ADDED - Copy/Move option to skip copy or move of empty folders
         (Moving on same drive with this option will be slower, since optimzied move cant be used)
 ADDED - CustomCommand MC.Explorer.Copy/Move now support SKIPEMPTYFOLDERS
 ADDED - CustomCommand MC.Explorer.Copy/Move Now support overwrite options OVERWRITE_IFNEWER / OVERWRITE_IFSIZEDIFF / OVERWRITE_IFSIZELARGER / 
                                                           OVERWRITE_IFSIZESMALLER / OVERWRITE_AUTORENAME_EXISTING / OVERWRITE_AUTORENAME_NEW
 ADDED - MultiScipt CopyFile/MoveFile function now support OVERWRITE_IFNEWER / OVERWRITE_IFSIZEDIFF / OVERWRITE_IFSIZELARGER / 
                                                           OVERWRITE_IFSIZESMALLER / OVERWRITE_AUTORENAME_EXISTING / OVERWRITE_AUTORENAME_NEW
 ADDED - MultiScript function to work with tabs. (TabActivePanelSide/TabActiveTab/TabCount/TabGetPath/TabLoadTabSession)
 ADDED - Option to turn thumbnail on/off in AlreadyExistsDialog
 ADDED - Overwrite 'both' works for files copied to/from normal file system
 ADDED - Pressing F4 in the Overwrite dialog will change 'Append' button to a 'Resume' button
 ADDED - AlreadyExistsDialog shown for virtual filesystems like archive (zip,7zip) will now support the new overwrite states.
 CHANGE- Major internal change for handling of options of overwrite of files.
 FIXED - Changed how MultiCommand detects shutdown/restart of Windows 10. So it should no longer hang around when restarting Windows 10
 FIXED - Issue with single instace and show tray icon
 FIXED - Issue with minimize to tray icon and but Keep taskbar icon setting
 FIXED - Misc uncommon issues with copy overwrite options.
 FIXED - AlreadyExistsDialog , Overwrite option now works for Portable device (WPD)
 FIXED - Selecting AlreadyExistsDialog Append/Rename for single file in dialog now works.
 FIXED - New AlreadyExists dialog now works with drag/drop of Stream data (eg Office Outlook)
 FIXED - FSRAR,7Zip, FSZip, FSBZip2 now support now file overwrite options better
 FIXED - 4 Stability issue reported by crash report system

Release v7.7 (Build 2404) ( 25-Dec-2017 )

 172+ Changes

 ADDED - New AlreadyExistsDialog that shows thumbnails are more options and new layout
 ADDED - New overwrite option "Overwrite if size differs", "Overwrite if larger", "Overwrite if smaller"
 ADDED - Added so copy path to clipboard can convert mounted path UNC path
 ADDED - Rename Dialog for Replace text in name, will now remember last 20 used texts
 ADDED - Create link dialog will now remember last used option
 ADDED - Improved logging in some places
 ADDED - API to Add/Remove column to current view
 ADDED - Added workaround for issue that if network mounted device got unmounted and remounted it got the same name since Windows Cached it.
 ADDED - Settings if FocusItem should be saved on exit or not
 ADDED - MultiDataFileViewer got more default setups (thanks to pncdaspropagandas )
 FIXED - Fixed issue in FTP and 7Zip that made Keep DateTime not work in some situations
 FIXED - Fixed crash issue with range selection
 FIXED - Issue with range selection in WinExplorer setup
 FIXED - Issue with tab stealing focus when MultiRename window closes
 FIXED - 7 Stability issue reported by crash report system

Release v7.5 (Build 2381) ( 14-Aug-2017 )

 90+ Changes

 ADDED - Language Aware sorting (Slower, but some language will get a more correct sorting)
 ADDED - Checksum tool now support SHA256/512
 ADDED - Settings for Device Dropdown if it should remember last used path or not
 ADDED - FolderTree will now show folder with the same colors rules as the normal list view. (Can be turned off)
 ADDED - Holding CTRL while confirming an option in the custom create folder popup (Ctrl+Shift+F7), It will now enter that folder after creating it 
 ADDED - MultiDataViewer will now toggle WordWrap with Ctrl+W
 ADDED - CommandLine parameter /Instance=NAME , Will load/save config/userdata/log under its own instance name so you can run Multiple instances with separate config
 ADDED - ToClipboard > FileContentAsText  menu option is now enabled and works
 ADDED - Fixed issue with MultiScript function "SetClipboardText" Can now set clipboard data that are larger
 ADDED - Wheelzoom to change Thumbnail size now support larger sizes
 ADDED - When folder sizing is completed a resort is done if sort column is size
 FIXED - Issue with corrupted columnsets 
 FIXED - Tweaked column autosizing when new tab is show the first time.
 FIXED - MultiDataViewer will now format hyper links with https: as clickable links
 FIXED - FSFTP caused a crash if the server return incorrect information from a PASV/PORT call
 FIXED - Settings might be saved if external program closes MultiCommander while being minimized to tray
 FIXED - Fixed rare crash issue with MultiRename
 FIXED - Sometimes when clicking on a item in Multi Commander window when focus was another app and filesystem slow, the wrong item was set as focus
 FIXED - Some OneDrive sync ondemand issues. (Only on Windows Insider edition) (Some still left)
 FIXED - Fixed issues when Windows returned an invalid icon overlay ( Insider Preview Windows 10 (Fall Creator Update) )
 FIXED - Overwrite all issue when unpacking 7zip archives
 CHANGE- Major internal change to avoid conflict with new FileSystem changes in Insider Preview Windows 10 (Fall Creator Update)
 FIXED - 4 stability issue reported by crash report system

Release v7.3 (Build 2360) ( 9-Jul-2017 )

 90+ Changes

 ADDED - Ctrl+Space will toggle selection, Start Folder calculation of the folder and move focus one step down (Key can be customized to other key)
 ADDED - Added setting for Device Filtering that override other settings for the GlobalDeviceToolbar / ExplorerPanelDeviceToolbar / DeviceDropDown and FolderTree
 ADDED - DeviceToolbar inside explorer panel and main UI now shown a popup with device type to show.
 ADDED - MultiTag ${mcinstallroot} and ${mcinstalldevice} 
 ADDED - When WM_COPYDATA windows message is recieved, It it logged to app log if debug loglevel is active
 ADDED - Tab session can now be set to Autoload at startup
 ADDED - Can now remember last used tab session and autoload that on startup
 ADDED - FS7Zip - When creating a 7zip archive, A retry dialog is now shown if the file it wants to pack is used from another program
 ADDED - Creating symlinks as normal user is now possible if running Win10 (1703) och if Developer mode in windows is enabled.
 ADDED - Makedir (Custom command and dialog) now support the date tags used when creating quick create folder commands
 FIXED - Natural sorting fails if the numbers was 14digits or more
 FIXED - Entring subpaths in the CreateFolder dialog and pressing ctrl+Return. The browse did not go to the created folder.
 FIXED - Horizontal scrolling issues with MultiRename
 FIXED - MultiRename will now force column autosize. 
 FIXED - Toggle FolderTree On/Off will if you have AutoResizeColumns on trigger a resize of the columns.
 FIXED - Backup/Restore did not backup UserData content. (Like Saved MultiRename profiles, Search Profiles, FTP Bookmarks)
 FIXED - Better error handling when doing flat filesystem scanning.
 FIXED - Crash happen sometimes when MultiRename windows was closed
 FIXED - Column sizing issue when the vertical scrollbar was visible
 FIXED - Sort was not always triggered when doing inline rename
 FIXED - Advanced filter now support extended property field "core.attrib"
 FIXED - Tabs was not always loaded into the correct order, If they was moved around
 FIXED - Various minor issues and code cleanup
 SDK   - SDK and Samples Updated
 FIXED - 4 stability issue reported by crash report system

Release v7.1 (Build 2347) ( 13-May-2017 )

 35+ Changes

 ADDED - Name generate for quick copy will now keep file extension intact and only change name part
 ADDED - Name shown in CopyTo dialog duing quick copy will now have the generated name part selected for easy changing
 FIXED - Switching between advanced and simple mode, The Simple part sometimes used the wrong text for the matching part.
 ADDED - Added Command that canbe assigned to hotkeys that will move active tab back/forward position in the same panel
 ADDED - The new Rename command are now added to the menu shown when right clicking on rename button on toolbar
 ADDED - CustomCommand "MC.Explorer.Makedir" now support the quick create folder tags in the FOLDERNAME parameter
 ADDED - MultiScript -= operator now works
 ADDED - MultiScript accessing array value as right part of an operator now works ( eg: @var $x = $a + $b[$idx]; )
 ADDED - MultiScript Adding array item with a value to the right now works  ( eg: @var $x = $b[$idx] + $val; )
 CHANGE- MultiScript Debugger window will now replace none breaking space with normal space (Can happen if you copy/paste script from some web browser)
 CHANGE- MultiScript Debugger window, The Tab size is now half. Looks better
 FIXED - Copy single file and selecting ".." in the CopyTo Dialog to pick folder will now keep the filename in the dialog
 FIXED - Volume specific ContextMenu item was not shown for virtual devices like REG: 

Release v7.0 (Build 2340) ( 8-Apr-2017 )
  
  250+ Changes, Major new addition are 
                CustomContext Menu that allows for custom and internal command in context menu,
                And Language Pack can now be downloaded when new updates for them are available.
                Also many more quick rename options, Many new MultiScript functions
                And lots of fixes

  ADDED - CustomContextMenu - Internal and custom commands can now be shown in the context popup menu. (right click)
  ADDED - Can now disable the Windows Shell and only show the custom context menu
  ADDED - Added so updated language packs can be download when updated. (Check for when new version check is done)
  ADDED - MultiScript function min/max (also supports array support) , return min or max value of all provided
  ADDED - MultiScript function IsAllTrue/IsAnyTrue (also supports array support) - return 1/0 if all provided value are true and any of them are true
  ADDED - MultiScript function mod( x, y) - Math function modulo
  ADDED - MultiScript function GetRandomValue(min , max) - return a random value between min and max
  ADDED - MultiScript function FormatDateTime/GetTimeInfo - Format datetime, and return time value as an array of its parts
  ADDED - MultiScript function GetFSLinkType(..), GetLinkTarget(..), GetShortcutTarget(..) will return paths of filesystem links
  CHANGE- MultiScript change, Compare of two string using == will now return a boolean ( 1 or 0 ), not a diff values.
  ADDED - QuickLaunchBar now has a "Run as Admin" options.
  ADDED - If Rename hotkey is pressed in Inline rename, It will toggle the selection part of filename/extension
  ADDED - Added many more rename option to the Rename submenu in menubar and context menu
  ADDED - Hotkey for the start of MultiRename can now be customized
  ADDED - Minor change to allow MultiCommander SE to pass windows store certification
  FIXED - Store Edition did not show thumbnails
  FIXED - Store Edition did not launch MCAdmin helper process correct
  FIXED - MultiScript debugger sometimes caused a crash if closed before script was stopped
  FIXED - Fixed an issue with the "Find and Replace" and when doing ignoring case on 32bit builds
  FIXED - Some default settings was wrong on fresh install
  FIXED - "Replace all older" when moving on same volume works again
  FIXED - "Retry as admin" option was sometimes shown even if option of this was disabled
  ADDED - Renaming read only files using MultiRename, the confirm dialog about that now have a "Do this for all read only files" checkbox
  FIXED - When resizing thumbnail size using mouse wheel, The scrollbar was not updated correct.
  FIXED - Recent history path was in some situation corrupted.
  CHANGE- Calculate folder size background thread will now run even if other background thread are running
  CHANGE- Background thread that extract extra data can now be aborted easier.
  FIXED - 4 stability issue reported by crash report system

Release v6.9.1 (Build 2306) ( 29-Dec-2016 )

 15+ Changes, Just Language pack updates and minor fixes

  UPDATE- Some Language packs are updated.
  FIXED - Some default config values was loaded in a wrong way.
  ADDED - New MultiScript engine function : StrReplaceChars(...)
  ADDED - New MultiScript engine function : StrReplaceCharsPairs(...)
  FIXED - 2 stability issue reported by crash report system

Release v6.9 (Build 2303) ( 23-Dec-2016 )

  200+ Changes, Some of the change are 

  ADDED - New Language - Korean - Created by pCsOrI
  ADDED - New TabSession Features - Menu > File > Tab Session (Save/Modify/Switch tab sessions)
  ADDED - Double Hotkey for to Switch TabSession press Ctrl+I and then Ctrl+1 to switch to first TabSession, and Ctrl+I + Ctrl2 for second and so on, up to 0
  ADDED - Creating SFV/MD5 from CheckSum Menu it can now remember the selected text encoding and will not ask again. (Force show the Ask dialog by Hold Ctrl when starting checksum)
  ADDED - ExplorerPanel send current item to command line field (Ctrl+Return / Ctrl+Shift+Return) will now add trailing slash to folders and only quote characters if it have spaces
  ADDED - Change DateTime/Attribute dialog now got [*] buttons next to the Modified/LastAccess dates, pressing this will sync the datetime with value in modified
  ADDED - Commandline field command ":doc" will take active explorer panel to the documents folders.
  ADDED - Simple FindFiles dialog can now save filter to a quickload slots using Ctrl + (F1 to F12)
  ADDED - Simple and Advanced FindFiles dialog can now load quick filters using F-Keys
  ADDED - Advanced FindFiles dialog can reassign quick load key for filters.
  CHANGE- FindFiles - Content matching option "Case Sensative" have change to "Ignore Case", This may break some saved filters
  ADDED - Popup in favorite window now got an option submenu where showpath option can be toggled
  ADDED - Settings for Favorites windows to show path instead of name
  ADDED - Tweak settings for ExplorerPanel: "Send file to commandline field also takes the input focus"
  ADDED - ExplorerPanel settings for not saving 'not locked tabs' on exit (Only keep locked tabs)
  ADDED - Added option to Explorer Panel so 'Remember of item on focus on path change' change be disabled
  ADDED - Popup menu on Tabs now have command to "Close all none locked tabs"
  ADDED - Custom command "MC.CloseAllTabs" now have the option "KEEPLOCKED", that will close all tabs except locked.
  ADDED - Custom command "MC.ChangeTabSession" to change TabSession from script
  CHANGE- Change some default for new installation (Colors and some default options)
  UPDATE- Updated the 3rd party audio library used when getting Audio Metadata. (More file formats should be supported in some places)
  FIXED - Search will no longer cache all scanned items, Making search use less memory
  FIXED - Sometimes when input focus was returned to MC an not needed refresh was done causing strange jump of item in focus
  FIXED - Fixed issue with unpacking rar created on linux
  FIXED - Fixed issue with unpacking zip archive created by google drive
  FIXED - Forward button on toolbar now works again
  FIXED - Create registry key from context menu now works again.
  FIXED - 11 stability issue reported by crash report system


Release v6.4.8  (Build 2265) ( 13-Sep-2016 )

  35 Changes

  FIXED - Find Files - Matching file content in UTF8 failed sometimes.
  FIXED - Find Files - Matching file content will now use current language settings for doing a compare with ignore case options on.
  FIXED - Find Files - Forcing FileContent matching as Unicode could make MC lock up if the data was not unicode
  FIXED - FileSystem scan can in some very rare and weird situation cause a crash. This should now be fixed.
  FIXED - Flat FileSystem view is now a little bit faster
  FIXED - Flat FileSystem view now updates its view correctly if files are deleted
  FIXED - 2 stability issue

Release v6.4.7 (Build 2255) ( 31-Aug-2016 )

  24 Changes

  FIXED - GotoNextSiblingFolder/GotoPreviousSiblingFolder something changes the tab.
  FIXED - Possible crash issue if file system was refresh before UI was updated from previous scan.
  FIXED - Will now only redraw and revalidate file colors if a subfolder was modified. Was doing a full rescanning. Not needed
  FIXED - Explorer Panel lost focused item in some situations when refreshed
  FIXED - Copy progress dialog will now show estimated time to complete with hours and minutes if minutes to complete is more then 60
  FIXED - Issue when checking if path exists for a path to a FileSystem Plugin that was closed.
  FIXED - Fixed issue where it lost contact with portable device, So that a manual refresh was needed to. This is now done automatic (is most cases)
  FIXED - Explorer Panel was not always refreshed automatic if folder was created in virtual location. like REG:
  FIXED - 2 stability issue

Release v6.4.6 (Build 2246) ( 16-Aug-2016 )

 13 Changes

  FIXED - Start with a ExplorerPanel showing the root of REG: now works again
  FIXED - Items sometimes got selected when activating application.
  FIXED - Focus was sometimes lost if focus was changed during filesystem scan
  FIXED - Crash that could happen if item was removed after filesystem scan, But before UI had refreshed.
  FIXED - 1 stability issue

Release v6.4.5 (Build 2242) ( 9-Aug-2016 )

 33 Changes

  FIXED - Tab with a LockPath, and the locked location was deleted by anohter program, resulted in new tabs opening up
  FIXED - During startup if a tab had a lockpath to a location that did not exists anymore. The tab was still locked and behaved bad.
  FIXED - Watching a folder and that folder was deleted, MC would fallback to closest path, but the removed folder would still be shown. (Since Windows told MC it still existed)
  FIXED - Ctrl+Return in CreateFolder dialog now works again. (Goto created folder)
  FIXED - New Folders now show up faster.
  FIXED - Focus moved to ".." when current focus item was lost. Now it works as before and moves to next or previous item
  FIXED - If tab was locked and option to open new tabs was not active. In some situation did not update.
  FIXED - In some situation filesystem change monitoring was removed, even if there was more ExplorerPanels (other tabs) active for that path
  FIXED - Possible buffer overrun in MCAudioTools extension
  FIXED - 2 stability issue

Release v6.4.3 (Build 2232) ( 4-Aug-2016 )

  10 Changes

  FIXED - Sometimes the filesystem was refreshed twice when Creating folder causing them to come in conflict of each other
  FIXED - Create folder could in some situation cause issue where view was not updated
  FIXED - Focus was sometimes lost if it was changed while view was being updated after a filesystem scan.
  FIXED - 1 very stability issue

Release v6.4.2 (Build 2229) ( 3-Aug-2016 )

  20 Changes

  ADDED - Improved error logging and error handling in a couple of places
  FIXED - Context Menu > New Folder now works better both in FolderTree and FileList
  FIXED - FolderTree did not always redraw correct after folder was added/removed
  FIXED - Issue with RegEx search from Simple FindFiles Window
  FIXED - 3 very rare/possible stability issues.


Release v6.4.1 (Build 2225) ( 31-Jul-2016 )


  16 Changes

  FIXED - When creating Folder/File from Context Menu, The Rename mode for that item was not entered.
  FIXED - MC Failed to show a subpath to a virtual path like REG: at startup
  FIXED - Folder tree did not update correct after rename/delete
  ADDED - Improved error logging in a couple of places
  FIXED - If column setup was never saved so default was used. And MC started to fast. The columns sizes was auto sized wrong.
  FIXED - Wordwrap in FileViewer did not trigger until after scrolled/resized.


Release v6.4 (Build 2222) ( 29-Jul-2016 )


  175+ Changes

  ADDED - Major internal redesign of how Filesystem scanning work. 
           + Runs in background with less blocking of UI.
           + Improves flat filesystem scanning a lot. 
           + Better aborting of filesystem scanning
           + Better startup time when loading many tabs.
           - If you have issues, You can in settings enable the old filesystem scanning engine
  ADDED - MultiUpdate tool now support XP edition of MultiCommander. If run on XP it will check for and upgrade to the XP edition of MC when it exists.
  ADDED - File Search "Look In" quick picker (Popup) now as option "Selected folders in other panel"
  CHANGE- Option for CustomCommand "MC.Explorer.Refresh" changed
  ADDED - Custom Command "MC.FileSearch.Search" now has option "SEARCHINALLSELECTED"
  ADDED - Custom Command "MC.FileSearch.Search" optin "HIDE" should work again
  FIXED - Custom Command "MC.FileSearch.Search" did not handle Multiple "LookFor" matches in "SEARCHFOR" correct
  FIXED - Fileoperation plugin 'CopyContent' works again
  FIXED - Packing with filters so all items in a folders are excluded, The empty folder was also excluded
  FIXED - FindFiles dialogs will now auto switch to wildcard/contains if incorrect data entered. And add * if no LookFor content is entered
  FIXED - If a file search was done with content matching, When viewing a found file, the context match was not highlighted in the FileViewer.
  FIXED - Saving Quicklaunch buttons with "&" character in the path now works
  FIXED - Modifying Color filters did not always work
  FIXED - Pressing cancel on "Add to queue" when doing Copy/Move now works again.
  FIXED - Couple of high DPI issues

Release v6.2 (Build 2147) ( 8-May-2016 )

  115+ Changes

  ADDED - CustomCommand "MC.CloseAllTabs" have a new option parameter : "DONOTASK", This will prevent confirm dialog for locked tabs.
  ADDED - Unpacking Zip file with wrong password will now ask again for password
  ADDED - MultiScript functions for using the Advanced Filter engine from script.
  CHANGE- Major rewrite how Copy/Move file operation are initialized
  CHANGE- Drag on Drop to same location will show the drop popup menu
  FIXED - Issue with loading favorites that have duplicated names.
  FIXED - Unpacking password protected 7Zip from script now works better
  FIXED - FindFiles with content search will stop searching faster if stop command is issued
  FIXED - FindFiles with content search could crash in some very rare situations.
  FIXED - Holding ctrl and starting a drag/drop operation now works better.
  FIXED - MultiScript handles arrays better
  FIXED - 4 Rare stability issues.
  FIXED - Many internal changes.

Release v6.1 (Build 2124) ( 9-Apr-2016 )

  35+ Changes

  ADDED - Language Updates
  ADDED - FindFiles now log to FileOperation log what it does.
  FIXED - Couple of HighDPI issues fixed
  FIXED - FindFiles text content matching could in some situation get stuck on files with weird mixes of linefeed characters
  FIXED - FindFiles hex content matching could get stuck if lots of 0x00 matches was found at the end of the file.
  FIXED - FindFiles Content search for ascii in binary files now works.
  FIXED - FindFiles Content search with case sensitive for ascii in binary files now works.
  FIXED - FindFiles Dialogs - Content options now enable/disable them self correctly
  FIXED - Advanced FindFiles filter could fail if user did not enter matching data correct.
  FIXED - Minor memory leak with copy operations.
  FIXED - Items added to queue even if user selected skip on free space check.
  FIXED - Commandline field now support ..\ relative path better. (relative to path of active panel)
  FIXED - CustomCommand MC.RUN will now assume SHELL option when using ADMIN option.
  CHANGE- Some Internal changes on how delete works.
  

Release v6.0 (Build 2118) ( 2-Apr-2016 )

280+ Changes

  ADDED - File Coloring engine and Editor is now using the Advanced Filter system for file coloring.
  ADDED - New File search engine. Is now using the advanced filter engine to match files.
  ADDED - New Find Files dialog. dialog is now split in two. some simpler one advanced
  ADDED - Dropping file with "create link" action will show drop popup instead
  ADDED - Drop popup now has "Copy and Replace" / "Move and Replace" command if only 1 file was dropped.
  ADDED - Custom command MC.DataViewer.View now have the option "AUTORELOAD" to enable the autoreload option
  ADDED - Commandline field command ":title <text>" that will change caption tag
  ADDED - Commandline field command ":autorefresh <0/1>" that will change setting to enable/disable folder refresh
  CHANGE- Changed AppIcon to match Website logo (Provided by Oliver)
  FIXED - Copy Progressbar issues when copying more then 4TB or data
  FIXED - Updated 3de party 7Zip components to v15.14
  FIXED - Fixed a leap year issue.
  FIXED - FSReg failed to change registry values that was longer then 255 characters
  FIXED - Lots of internal changes.
  FIXED - 6 Rare stability issues.

Release v5.9 (Build 2062) ( 13-Jan-2016 )

  ADDED - Advanced Filters now support extended file properties.
  ADDED - Workaround for faulty zip archive created by OneDrive Web (Download multiple files from OneDrive Web)
  ADDED - Dynamic column properties for showing line number. (Can't be used in Filters or MultiRename)
  ADDED - Copy path to clipboard will append trailing slash for folders.
  ADDED - Option to show history popup as sorted or not.
  ADDED - Command to show the Panel specific Recent (Back button) Popup. Can now customize key to show popup
  ADDED - Settings to change how Rename Similar works.  Ask/No/Always
  FIXED - FSFTP will now log what cipher suite that is used better (If doing FTP-SSL/TLS)
  FIXED - PageUp/PageDown navigation sometimes jump to far and missed some items.
  FIXED - List ViewMode and ThumbList ViewMode sometimes failed if first column was not filename
  FIXED - Issue when reading default path for new explorer panels.
  FIXED - Crash issue for very long network path.
  FIXED - 5 Rare stability issues.

Release v5.8.1 (Build 2042) ( 24-Nov-2015 )

6+ Changes
 UPDATE- Some language packs are updated 
 FIXED - Fixed some minor annoying bugs

Release v5.8 (Build 2040) ( 21-Nov-2015 )

135+ Changes

  ADDED - Advanced Filters, This filters can be used in Selection and View Filters (Search and FileColoring will also use them in future release)
  ADDED - Custom Command MC.Explorer.Selection.Select now has a "FILTERID" parameter, Use it to select a Advanced filter
  ADDED - Custom Command MC.Explorer.SetFilter now has as parameter FILTERID, that can be used to set an existing advanced filter
  ADDED - Custom command MC.Explorer.Makedir has a new parameter "GOTO" that will make the Explorer Panel to enter the new folder
  ADDED - Hold CTRL while pressing return/OK button in MakeDir dialog and the ExplorerPanel will enter that folder
  ADDED - Explorer panel settings for default path for new tabs
  ADDED - Explorer panel settings for column sortby and sort order for new tabs.
  ADDED - Explorer Panel tweak settings for enable/disable of context menu for current location should be shown on ".."
  ADDED - File Operation progress now show progress of queuing items for internal plugin operations.
  ADDED - Menu > Edit > Compare Folders Advanced - For advanced compare of the source/target folders for selections.
  ADDED - FSFTP bookmark now has an option if the log windows should be shown or not when connecting.
  ADDED - FSFTP will now log data connections errors better.
  FIXED - DuplicateTab will now duplicate most tab/explorer panel settings.
  FIXED - QuickLaunchBar will now remember the Right click options for AllowInsertByDrop/AllowRearrange
  FIXED - Fixad issue when unpacking large zip with duplicated files in archive.
  FIXED - FSZip issue when overwriting existing files
  FIXED - FSFTP now send "AUTH TLS" instead of "AUTH TLS-P" for protected login
  FIXED - SetFolderDateTime tool can cause a crash.
  FIXED - Icon Override Setup is no longer case sensitive
  FIXED - MultiFileViewer - Highlighting was sometimes not shown. Was overdrawn by Syntax Coloring
  FIXED - MultiFileViewer - RegEx syntax coloring rule could sometimes cause a crash
  FIXED - MultiFileViewer - Can now find text part backwards (up) in Unicode text files again

Release v5.6 (Build 2000) ( 19-Sep-2015 )

 165+ Changes

  ADDED - MultiRename - Find/Replace Changed now works better
  ADDED - MultiRename - Minor UI layout changes.
  ADDED - MultiFileViewer - Profiles have changed, Now using Color Themes configuration for colors
  ADDED - MultiFileViewer - Can now easier configure Syntax Coloring
  ADDED - MultiFileViewer - Added a couple of default Syntax Color formatting for common file formats
  ADDED - MultiFileViewer - Color syntax formatting for common file formats
  ADDED - MultiFileViewer - Can now be configured to Auto copy selection to clipboard. ( Menu > Options > Options )
  ADDED - ExplorerPanel can now disable Auto fade of selection when panel is inactive in WinExplorer mode.
  FIXED - Auto ReSort after rename of folder did not always work
  FIXED - Go to Root will now on locked tabs (with allow subpath change) go to the root of the locked location.
  FIXED - Issue when creating MD5 checksum files
  FIXED - Copy registry value to new location will now copy "(default)" value correct.
  FIXED - 5 Rare stability issues.
  FIXED - 2 Rare stability issues with script engine.

Release v5.5 (Build 1975) ( 1-Aug-2015 )

 185+ Changes


 Some of the changes are...

 ADDED - New Language - Lithuanian - Translation created by Raimondas Duzinskas
 ADDED - Explorer Panel now has Experimental Support for "Flat Filesystem View" (Press View mode button or Shift+Ctrl+B)
 ADDED - Path property/column added, Can be used in Flat view to show relative path.
 ADDED - Going to next/prev in QuickSearch will now loop around.
 ADDED - Can now select/unselect files/folder with same color rule set Ctrl+Shift+(Num+) / Ctrl+Shift+(Num-)
 ADDED - MultiRename - Find and Replace now support unlimited pairs and easier to edit many find/replace pairs
 ADDED - Tabs Layout can now be saved/loaded to/from file.
 ADDED - Audio Tool - Create Playlist (M3U/PLS) with support for advanced filtering
 ADDED - SFV Tool can now creates CRC/MD5 files that are encoded in UTF8 or Unicode
 ADDED - Favorites Window will reset its view filter when shown next time. (Also added option to turn that off)
 ADDED - CustomCommand MC.Explorer.NewBrowser / MC.Explorer.Goto now support "FLAT" option to open path in flat mode
 ADDED - CustomCommand MC.CheckSum.Create for starting/creating checksums
 ADDED - CustomCommand MC.LoadTabs and MC.SaveTabs to Load/Save tabs from script
 ADDED - CustomCommand MC.LoadButtonPanelLayout that will load a new button panel layout from script
 ADDED - Custom Command MC.Explorer.Selection.SelectByColor / MC.Explorer.Selection.UnselectByColor
 ADDED - MultiScript function for setting selected items in a view ( SetSourceSelected()/SetTargetSelect() )
 ADDED - MultiScript function for getting all items in a view ( GetSourceItems()/GetTargetItems() )
 FIXED - MultiScript command "GetFileProp(...) now support a 3rd paramter (optional). If it is "1", 
         Then the returned value will be the display value, (else the RAW value is returned)
 FIXED - Will no longer check for availible free space for move operations on same drive.
 FIXED - Copy a 'symlink to a file' Copy/Move Links option active will now creates a new symlink.
 FIXED - Fixed issue with creating .gz files
 FIXED - MultiFileViewer did not load settings correct when opened from search panel
 FIXED - 12 Rare stability issues.

Release v5.1.1 (Build 1926) ( 18-Apr-2015 )

 Minor Fixes  20+ Changes

 ADDED - Commandline field now support "#[devicelabel]" and it switch to the current path of that device. (Wildcard supported)
 ADDED - View filter support filtering on size with ">SizeUnit" / "<SizeUnit", eg ">500M", "<30G" , "<500k"
 FIXED - 7Zip error handing improved.
 FIXED - Customize Keyboard window should work better in high DPI
 FIXED - Page scrolling in thumbnail list mode now works better.
 FIXED - Thumbnail detail mode did not always show the thumbnail.
 FIXED - Issue with copy progress windows.
 FIXED - 2 crash issues reported by Crash report system.

Release v5.1 (Build 1922) ( 4-Apr-2015 )

 Mostly fixes. 120+ Changes.

 ADDED - ExplorerPanel panel now have an extra 1px padding for the lines (Size can be tweaked in settings)
 ADDED - Installer now accept parameter /CONFIG=<file> that contains a settings backup that will be installed.
 ADDED - Color Rule name used for a file item can be shown as a column.
 ADDED - When doing a forced refresh. File coloring will also be forced refreshed.
 ADDED - Able to force a solid color for the focus row indicator.
 ADDED - Configuration of gridlines colors
 ADDED - SFV tool can now read .sfv/.md5 files in unicode.
 ADDED - Can now move select name/ext part with Ctrl+Home/Ctrl+End while doing inplace rename
 ADDED - FolderTree now has settings for a filter of what devices should be listed in the tree view.
 ADDED - CustomCommand MC.ShellPaste that will call Windows Shell Paste without the internal handling.
 ADDED - Mouse wheel action is now always forwarded to window under mouse cursor, even if window is not in focus.
 ADDED - MultiScript function LoadArray/SaveArray can now be called with GetLines/SaveLines
 ADDED - MultiScript function "AutoCreateVar(0|1)" to turn the AutoCreateVar feature in script engine on/off
 ADDED - MultiScript Script engine can now declare variables without "@var" in many situations.
 ADDED - MultiScript function NetWGet(<file>, <url>,<opt>) that will download from web and save to disk.
 FIXED - MultiScript function DeleteFile now accept options as comma separated list
 FIXED - MultiScript function DeleteFile failed sometimes when deleting zip files.
 FIXED - MultiScript function DeleteFile now recpect the option "NOPROGRESS"
 FIXED - Can now open some zip archive that have mismatched header data.
 FIXED - Use font style from File coloring rules when drawing file item with Focus/Selected color
 FIXED - Crash issue that could happen sometimes when testing archives.
 CHANGE- FileType Default setup will open Windows associated editor for images files when doing edit on an image.
 CHANGE- Changed how arrow key behaved in Inplace rename.
 FIXED - Issue with date fields in Text Tool SortLines 
 FIXED - Issue with overwrite with Text Tool SortLines 
 FIXED - Problem with the response data when using the WM_COPYDATA API and Ascii
 FIXED - Fixed issue with the Tray Icon poping up even if disabled
 FIXED - FSRar had issue if rar file that was created on linux and contained a path starting with /
 FIXED - 5 crash issues reported by Crash report system.
 WEB   - Lots of changes in the Online Documentation
 WEB   - Online documentation can now be downloaded as a PDF

Release v5.0 (Build 1888) ( 1-Feb-2015 )

 Many fixes and improvements.  Over 220+ Changes

 ADDED - New Text Tool - SortLines
 ADDED - New Text Tool - FindAndReplace
 ADDED - Picture Viewer can now show an overlay with photo info like FNum,Exposure,ISO (Press P in viewer)
 ADDED - Better error message when user tries to copy a placeholder file
 ADDED - Custom Command "MC.Utils.SortLines"
 ADDED - Custom Command "MC.Utils.FindAndReplace"
 ADDED - Custom Command "MC.ShowFavWindow" and "MC.ShowFavPopup"
 ADDED - View Filter popup now also show previous view filters that was set manually
 ADDED - Holding Shift when entering linked folder it will now follow link instead of resolving it
 ADDED - 3de party programs can now interact with MC using WM_COPYDATA messages. (like Goto and GetCurrent... )
 ADDED - Picture exif properties to be shown as columns (ISO,Exposure,FNum,ExpBias,Flash)
 ADDED - Alternative short admin tag for application title bar is now used if commandline option -A is set
 ADDED - Tooltip delay and timeout times can now be change under tweak settings (Explorer Panel)
 ADDED - Browse timeout can now be tweaked. (Only useful if you get double item issue)
 ADDED - Rar FileSystem extension is now using the UnRAR 5.2.3 source.
 ADDED - Thumbnail overlay text can now be set to date or photoinfo
 ADDED - Language Editor now remember selected language
 ADDED - Language Editor can now filter list and only show text items that are NOT translated
 FIXED - Thumbnail overlay text on thumbnails now works when using the internal thumbnail engine (WinXP) 
 FIXED - Loading startup ini is no longer sensitive for pre/post white spaces.
 FIXED - When ExplorerStyle settings is used. Changed how color for focus item is set when panel is not in focus.
 FIXED - Fixed issue where device got removed from MC when it was formatted
 FIXED - File search sometimes failed to search file content if file was in use.
 FIXED - Portable/WPD will now show blank date if date property is not valid
 FIXED - Portable/WPD will use created date as default date to show instead of modified, if modifed is not valid
 FIXED - 9 crash issues reported by Crash report system.


Release v4.6.2 (Build 1804) ( 1-Nov-2014 )

  5 more fixes that need to be released.
  Hopefully no more minor updates to 4.6 is needed

  FIXED - 5 Crash issues reported by crash report system
  also 150+ Changes since v4.5

Release v4.6.1 (Build 1802) ( 30-Okt-2014 )

  7 Changes

  FIXED - 3 Crash issues reported by crash report system
  UPDATE- Updated language packs.

Release v4.6 (Build 1800) ( 25-Okt-2014 )

  Many fixes and improvements.  Over 130+ Changes

  ADDED - Support for Italian - Created by Aldo
  ADDED - Picture Viewer can now adjust colors using gamma, brightness, gray scale, normalize and more.
  ADDED - Picture Viewer can now Save picture in another format.
  ADDED - Picture Viewer can now resize image.
  ADDED - Picture Viewer support undo (Ctrl+Z) after doing color changes.
  ADDED - Picture Tools can now batch resize images.
  ADDED - CustomCommand "MC.PictureTools.Convert"
  ADDED - CustomCommand "MC.PictureTools.Resize"
  ADDED - Image dimensions can now be shown as an overlay text on the thumbnail.
  ADDED - Button panel wizard will now add icon if the dropped file is a .exe
  ADDED - Add/Remove Selection now support regular expressions. start match with ":"
  ADDED - View filters now support regular expressions. Start filters with ":"  (File size equal filter moved to "=" )
  ADDED - QuickLaunchBar now support ${sourcepath} and ${targetpath} in parameter field
  ADDED - New Option to enable so that parent context menu is shown if user click on the blank area of an item.
  ADDED - MultiRename support moving item up/down from hotkey or popup menu when right clicking on item
  ADDED - MultiRename will now add item to its list in the same order they are shown in the Explorer Panel.
  FIXED - Save current column layout sometimes did not save the columns in the correct order.
  FIXED - Thumbnail detailed view mode did not always show all columns.
  FIXED - Will now retry getting .exe icon if default .exe is returned. (Can happen if AV/Other software has a lock on the file)
  FIXED - Icon override if FileType Setup is no longer case sensitive
  FIXED - Column resize issue if a column got < 0 is size.
  FIXED - When viewing a file using external viewer the focused file will be used.
  FIXED - Thumbnail background thread will now update the main ui better.
  FIXED - 4 crash issues reported by Crash report system.

Release v4.5.1 (Build 1769) ( 23-Aug-2014 )

 This minor release only contains some updated language packs
 and one minor fix for the full installer.

 FIXED - Installer failed to add shortcuts in some situation.

Release v4.5 (Build 1768) ( 19-Aug-2014 )

 Major new additions is the possiblity to browse favorites as a filesystem (FAV:)
 Also Thumbnail list mode now support vertical scrolling.
 Many fixed and improvments.  Over 155+ Changes
 Some of them are....

  ADDED - FSFavorite Plugin that allows browsing of favorite as a virtual filesystem.
  ADDED - Refresh device item to the Dropdown list of devices.
  ADDED - Active tab that are not using custom colors are shown with a lighter color (eg. Log tab panel)
  ADDED - Pack/Unpack window now has settings if it should use target as default location or not.
  ADDED - MultiRename window can be closed by pressing ESCAPE key.
  ADDED - Now possible to choose what extended device items should be shown in the device dropdown list.
  ADDED - Explorer Panel has a new experimental view mode 'Thumbnail Detail'
  ADDED - New Thumbnail engine option : "Crop to Square" (Only valid if thumbnail engine is "Windows" and OS is Win8+)
  ADDED - Thumbnail List mode now support Vertical scrolling (Up-Down).
  CHANGE- Thumbnail queue management will now prioritized item that are currently visible.
  CHANGE- Changed how the tab is drawn. Is now more flat.
  CHANGE- Removed some obsolete settings, Change some defaults.
  FIXED - MultiRename - Tags with negative value was 0-based, Start value was 1-based, Now both are 1 based (eg [N-3]).
  FIXED - MultiRename - Folder [F] tag rule now works like name tag [N] (Eg [F-4] works like [N-4]).
  FIXED - Copy/Move progress window tries better to keep its since when queue is shown/hidden.
  FIXED - Queue in Copy/Move progress window will try to show the alternative targetname if one is set.
  FIXED - Key combo for Quick Search in Explorer Panel will no longer trigger if more keys then configured are pressed.
  FIXED - Eject/Disconnect command in Explorer Panel can now be assigned to hotkey.
  FIXED - Exporting the list of keyboard shortcuts will now be saved as Unicode (UTF16).
  FIXED - Handles insert/removal of devices that are mounted under a folder better.
  FIXED - Thread synchronization issue with thumbnail extraction that could sometimes cause a crash.
  FIXED - Couple of issue with Change View mode and refresh issue with view modes changes.
  FIXED - Minor Issues with installer
  FIXED - Problem with deleting from zip archive.
  FIXED - Quick Connect for FTP work again.
  FIXED - 4 crash issues reported by Crash report system.

Release v4.4 (Build 1725) ( 17-Jul-2014 )

 Mostly bug fixes but some new features like better support for Remote Desktop shares (\\TSClient)
 and Quick Create Folder (Right click on create folder toolbar icon)
 Over 85+ Changes with fixes and improvements. Some of the are...

  ADDED - CustomCommand MC.Explorer.ChangeSettings that can change some Explorer Panel settings in active panel only (Changes lost on restart)
  ADDED - Installer reworked. Can now upgrade current installation and support installation of both 32bit and 64bit
  ADDED - Create Folder dialog now accept Shift+F9 to insert date at caret position or replacing selected text
  ADDED - Remote Desktop client shares \\TSClient now support. "TSClient" is added to NET: when Remote computer is connected
  ADDED - Create Folder button added to toolbar. Right click on it to show a list of some preset date folders to create
  ADDED - Quick Create folder item can now use date/time/filename tags
  ADDED - Quick Create folder menu can now be customized and are using MultiLanguage system
  FIXED - Better UTF8 support for FTP
  FIXED - Customizing of the keys for ShowFavorites, Back, Forward, Show History is now kept between restarts
  FIXED - When launching multiple items using shell, it will now verify if the shell really allows the item to be launched
  FIXED - Strange rounding that only happened on some file sizes when showing selected file size as GB
  FIXED - Drop popup menu 'extract' will now unpack to the correct path where the drop happened.
  FIXED - MultiScript function CopyFile with a target folder that does not exists will now update the views better.
  FIXED - FreeSpace field was not using the correct font. Was using FileList font
  FIXED - Fixed some scrollbar issues with the MultiDataViewer 
  FIXED - 3 crash issues reported by Crash report system

Release v4.3.1 (Build 1702) (17-Jun-2014 )

  FIXED - FolderTree caused a crash on some drop operations.

Release v4.3 (Build 1700) (14-Jun-2014 )

  Major new thing is the new Portable Device Plugin 
  Over 160+ Changes with fixes and improvements. Some of the are...

  ADDED - New Virtual filesystem plugin that provides access to portable devices. (Smartphones/Tables)
  ADDED - Create Folder dialog now accept F6 for replacing all illegal folder characters with spaces
  ADDED - Create Folder dialog now accept F7 for removing all spaces
  ADDED - Create Folder dialog now accept F9 for inserting todays date as name (ISO formatted)
  ADDED - Create folder dialog now accept a complete path, This will override the current location.
  ADDED - Folder tree now support that a folder might be drag from it or dropped in it.
  ADDED - History popup that shows visited path is now global, Not only for current panel.
  ADDED - Informative tooltip now shows all file dates.
  ADDED - Drag and drop data of TYMED_ISTORAGE type now supported
  ADDED - CustomCommand to force a refresh of the folder tree ( MC.Explorer.RefreshTree )
  ADDED - CustomCommand MC.Explorer.Delete now support optional option "NEWQUEUE", "USEEXISTINGQUEUE"
  ADDED - CustomCommand MC.Explorer.Copy now support optional option "NEWQUEUE", "USEEXISTINGQUEUE"
  ADDED - MultiScript function CopyFile,MoveFile now support optional option "NEWQUEUE", "USEEXISTINGQUEUE"
  ADDED - MultiScript function "Packfile" / "UnpackFile" / "MakeDir"
  ADDED - Added size restriction to external files to 25MB
  FIXED - Unpack dialog will now use the source location as default target path.
  FIXED - Paths containing ~ sometimes got confused as a shorted 8.3 path
  FIXED - Password protected zip archives now works. (Only standard zip password protection is supported)
  FIXED - Password protected 7Zip archives now works better
  FIXED - Folder tree now shows the correct folder name for folders that are mounted devices
  FIXED - 6 crash issues reported by Crash report system

Release v4.2.1 (Build 1674) (28-Apr-2014 )

  3  Changes. Minor fix.

  ADDED - Updated language packs
  ADDED - Added missing file to full installer.

Release v4.2 (Build 1672) (18-Apr-2014 )

 This release contains lots of fixed and a lot better support for high DPI machines
 
  300+ Changes and some of them are...

  ADDED - User Defined Commands can now be duplicated.
  ADDED - Button panel changed so it can not be undocked. Then no close button is shown making it look better
  ADDED - Buttons in the Button panel can now be drawn transparent.
  ADDED - New column that shows the length of the name or fullpath.
  ADDED - Option to enable/disable the refresh tab when application focus is returned to MultiCommander
  ADDED - Command line field can now show hits/tips when not used. (Can be disabled in core settings)
  ADDED - Command line command ":one" now also work for going to OneDrive/SkyDrive folder
  ADDED - Option for "Expand folder hovering over during drag and drop in folder tree". (Was always enabled before, can now be disabled)
  ADDED - Option if a new tab should be opened when browsing to new location in a locked tab.
  ADDED - Rule Based file coloring can now be configured to also change font style like Bold,Italic,Underline,Strikeout
  ADDED - New MultiScript functions PathMakeRelativeMC(...), PathMakeAbsoluteMC(...), PathTranslatePath(...), TranslateEnvString(...)
  ADDED - Custom command MC.Explorer.NewBrowser now support TABCOLORS,TABNAME,TABLOCK paramters
  ADDED - New Custom Command MC.FileSystem.Unpack
  ADDED - New Custom command MC.Explorer.SetTabProp for setting tab properties like color, on existing tab
  ADDED - Duplicating a Explorer Panel tab. or opening a folder from one tab into a new tab. New tab will get the same custom Tab Colors.
  ADDED - Doing TapAndHold on touch devices will now be a right click. (Show context menu in most places)
  ADDED - MultiFileViewer have experimental support for line filtering (grep)
  FIXED - Command line fields dropdown history is now shown and saved correct.
  FIXED - QuickLaunchBar now works better with relative and environments paths.
  FIXED - Color rules are now refresh when files are renamed or attributes changed (From inside MC)
  FIXED - Copying files to folder starting with ".." now works again. Eg "..Myfolder"
  FIXED - FileTypeSetup will not clear extension field if external program is selected
  FIXED - If sorting of columns that shown extended info (info fetched in background), view will now resort automatically when data is ready.
  FIXED - Windows Shell context menu did not work in some locations.
  FIXED - A couple of strange issues with context menu handling
  FIXED - Issue with overwriting existing file inside a zip archive.
  FIXED - Refresh issues when a zip is rebuilt.
  FIXED - Lots of DPI scaling issues fixed. MC now look good in 150% DPI. Still some minor issue with 125%
  FIXED - Improved error handling and error reporting of read/write errors.
  FIXED - Improved error logging in a couple of places.
  FIXED - A lot of minor fixes and changes to error handling
  FIXED - Placeholder files is now being identified (Win8.1+ only)
  FIXED - When unpacking rar it could happen it complained that disk was full even if disk was not full.
  FIXED - Some icons was messed up if icon cached was cleared 
  FIXED - Context Menu key on keyboard now works for the ".." item
  FIXED - The settings "Remember Selected files/folders when changing path" now works again. (can be turned off)
  FIXED - 14 crash issues reported by Crash report system


Release v4.1 (Build 1620) (1-Feb-2014 )

 This release contains only some minor fixed  
 and includes language packs that did not make it previous release.

  70+ Changes and some of them are...

  ADDED - Updated language packs for JP,NL,ES,PT,FR,RU 
  ADDED - Can now Bind/Unbind key from command line field using ":bindkey <cmd> <key>" , ":unbindkey <cmd>"
  ADDED - New Custom Command for bind/unbind keys MC.BindKey, MC.UnBindKey
  ADDED - How the Explorer Panel read its settings are change, Tabs are created faster.
  ADDED - Clicking on reset filter button will now toggle between *.* and previous filter.
  ADDED - Better error handling when deleting to recycle bin.
  FIXED - Color Rules did not remember if default profile was selected.
  FIXED - Color Rules are now refreshed better when they are changed.
  FIXED - Show hidden files did not always refresh views after option was changed.
  FIXED - When color rules are change the views will now update it self better.
  FIXED - Back/Forward button now show the popup menu on right click
  FIXED - Rename toolbar icon shows a popup menu with some of the rename options when right clicked.
  FIXED - Loading of custom time format now works again.
  FIXED - The change file date/time dialog did not use text from MultiLanguage system in two places.
  FIXED - Multi Commander will now be sent to front if it is already visible and user click on tray icon.
  FIXED - A MultiMonitor issue when doing click and drag.
  FIXED - 7 crash issues reported by Crash report system.

Release v4.0 (Build 1611) (12-Jan-2014 )

 The focus of this release have been UI and Customization issues.

  450+ Changes and some of them are...

 ADDED - New Splash - Provided by Patrick of Chasing Carrots (www.chasing-carrots.com)
 ADDED - Icons can now be overrided based on file extension. (Extra Useful for portable mode, to always show same icons)
 ADDED - FileType setup for Viewers and Editors can now also define there own icon
 ADDED - Zip Extension now has its own settings page where some zip settings like CodePage can be configured.
 ADDED - Default Tab Colors for all extension can be customized.
 ADDED - Explorer Panel can customize the Tab Color and Name for every tab.
 ADDED - Explorer Panel now support medium (24) and extra large (48) icons.
 ADDED - Column customization have been reworked and dialogs merged.
 ADDED - Columns can now be customized to have and extra left/right space in them.
 ADDED - Quick Look and Feel Setup window and been redesigned. And the two dialogs are now one.
 ADDED - Buttons in the button panel can now also show an icon.
 ADDED - Progressbars colors for the Copy/Move/Delete/Extract dialogs can now be customized.
 ADDED - Scanning Network for computers will now keep cache of found computers. And also possible to pin computer so they are always shown.
 ADDED - Browning NET: will no longer auto scan the network. And when it scan it is done in the background and will not lock up the main UI.
 ADDED - Show ViewFilters button added to Filter input field.
 ADDED - View Filters can be customized
 ADDED - Right click on Add/Remove selection on toolbar will show a popup menu with a quick selection list.(Shares some items with ViewFilters)
 ADDED - Right click on "Copy Path to clipboard" button on the toolbar will now show a popup menu with all the "Copy xxx To Clipboard" options"
 ADDED - Tray Icon Single click support added
 ADDED - "MC.FileSearch.Search" now supports SIZE parameters
 ADDED - Command line command ":cic" will clear the icon cache
 ADDED - The toolbar button "ShowHidden Files toolbar" is shown with a slightly different icon depending on what the current option is.
 ADDED - Rar FileSystem extension is now built using the UnRAR 5.01 source.
 ADDED - Show Select/Unselect popup menu can be shown using hotkeys.
 UPG   - Upgrade the 3d party Metadata library in the MCAudioTools extension, Now using TagLib 1.9.1
 FIXED - Icons cache will be cleared and all views will be refresh if icons are changed in FileTypeSetup
 FIXED - Opening new tab from locked tab issue.
 FIXED - Right autoscrolling issue in List/Thumbnail mode
 FIXED - Drag/Drop modifier keys
 FIXED - Timing Issue resulting in that file items being shown double.
 FIXED - Delete dialog does now support MultiMonitor systems again.
 FIXED - 8 Rare Crash issues reported by Crash report system.


Release v3.5.1 (Build 1530) (1-Okt-2013 )

 The focus of this minor release has been to fix the most common stability issues.

 70+ Changes and some of them are...
 
 ADDED - New Language - Portuguese - Translated by Pedro Albuquerque
 ADDED - File copy logging will now output time and speed information for the read/write calls.
 ADDED - Shell Context Menu code have been rewritten.
 ADDED - MultiCommander will not change to be a toplevel window if it is activated by starting to dragged a item.
 ADDED - MultiScript function to calculate checksum "ChkSum_Create(<filename>, <checksum type>)"
 ADDED - Improved error logging for read/write errors.
 FIXED - Inline rename command Ctrl+L and so on. Will not work anymore if AltGR is pressed. (Conflicted with localized character input)
 FIXED - Favorites Window now works again
 FIXED - Showing some of the special folder in the device toolbar now works again
 FIXED - 14 Rare Crash issues reported by Crash report system.

Release v3.5 (Build 1500) (3-Sep-2013 )

 310+ Change and some of them are...

  ADDED - File coloring rules editor for creating rule on how files should be colored. (Multiple profiles supported)
  REMOVE- Old file coloring system removed, configuration of it will be converted to ColorRules automatically.
  ADDED - New delete progress window that shows more information.
  ADDED - Save Clipboard dialog will now remember format from previous time.
  CHANGE- Replace RegEx engine used with one that is more Perl compliant.(Used in Search/MultiRename/Script)
  ADDED - MultiRename now support [F] tag to add the folder name of the folder that the file is located in.
  ADDED - MultiRename tool can now reset filelist with currently selected items.
  ADDED - MultiRename now support regular expressions in the Search/Replace part.
  ADDED - Windows Control Panels can now be access from the tools menu (And can be assigned to hotkeys)
  ADDED - Find Open Files Windows can not stop a service processes that has a file opened
  ADDED - Inline rename can now more to previous/next item using up/down keys or return (optional)
  ADDED - Inline rename supports Ctrl+N/Ctrl+E for selecting name/extension
  ADDED - Inline rename supports Ctrl+U/Ctrl+L to convert to upper/lower case
  ADDED - Find Files dialog remembers expanded state between starts
  ADDED - Find Files dialog remembers the search filter between restarts.
  ADDED - Viewing a file from the file search result will now also transfer over the find by content (if any) to the viewer.
  FIXED - File search using to/from date matches do now correct the time for the current timezone correctly.
  ADDED - MultiDataViewer will now remember maximized size/position between runs.
  ADDED - The Main drive bar can be configured to be placed on its own toolbar line.
  ADDED - Can now get the raw LIST result from the FTP (access from the context menu)
  FIXED - FTP Transfer issue if buffer size was too large.
  FIXED - FTP Problem when listing root folder on some servers
  FIXED - Hang that should happen during file copy in rare situations
  FIXED - Very rare hang issue that could happend if a copy operation was aborted.
  FIXED - Settings panel will use same font settings thatis set for the Explorer Panel
  ADDED - Command line command ":winerr <num>" that display the error message for internal windows error codes.
  ADDED - CustomCommand MC.FileSearch.Search now support parameters like ATTRIBUTES/TIME/TIMEFROM/TIMETO
  ADDED - CustomCommand MC.CloseAllTabs now support LEFTONLY/RIGHTONLY as parameter
  ADDED - CustomCommand MC.Explorer.SetColoringRules NAME=<ProfileName>
  ADDED - CustomCommand MC.Explorer.RefreshColoringRules 
  ADDED - MultiScript debugger window will now show log output
  ADDED - MultiScript function to sort string/num in an array "$arr2 = ArraySort($arr)"
  ADDED - MultiScript can now replace substring using RegEx. ( StrRegExpReplace( ... ) )
  ADDED - MultiScript function "DeleteFile/DeleteFiles" now support the option "AUTOCLOSEPROGRESS"
  FIXED - MultiScript now handle spaces inside a syntax better
  FIXED - MultiScript initializing a string array using single quote not works again.
  FIXED - 12 Crash issue reported by Crash report system
  SDK   - Beta SDK is out - Look in the online forum for more information
  
Release v3.2 (Build 1430) (16-Jun-2013 )

145+ Changes and some of them are....

  ADDED - Rules based file coloring now support many more attributes and date rules and can be loaded/saved. (No UI yet, Create them using script)
  ADDED - Better handling of name conflicts when renaming multiple files, by any of the rename commands under Tools > Rename.
  ADDED - Copy/Move Progress window will now show file sizes formatted.
  ADDED - Common CheckSum tasks are added to tool menu. So those tasks can now be used easier.
  ADDED - New 'Edit new file' command (Shift+F4 or Shift+F9 depending on setup)
  FIXED - GetTime() function in MultiScript now returns the correct time.
  FIXED - Test packed files now works better.
  FIXED - Issue when creating a folder that already existed.
  FIXED - Issue when drag and dropping a single empty folder.
  FIXED - Many minor issues with FTP and FTP Logging fixed.
  FIXED - Dropping an attachment Outlook would overwrite file if it already existed.
  FIXED - Lots of internal SDK changes and cleanup (Preparation for release of SDK )
  FIXED - Issue that some Explorer Panel tabs change path when removing device (USB Stick) even if they did not show that path.
  FIXED - MC.Explorer.Selection.SelectAll/MC.Explorer.Selection.UnselectAll now works
  FIXED - "Replace all older" when copying files will now skip files if the filedate are exactly the same.
  FIXED - 10 Crash issue reported by Crash report system

Release v3.1 (Build 1401) (26-Apr-2013 )  

Over 185+ Changes and some of them are....

  ADDED - Support for New Langauge - Romanian Created by Gabriel
  ADDED - Auto expansion of subitems can now be disabled in the FolderTree.
  ADDED - FTP now support UTF8 encoded filenames and UTF8 encoding in the FTP log.
  ADDED - FTP now support context menu. Will for now only show "Edit" for bookmark items and "Disconnect" for ftp items.
  ADDED - MultiRename search and replace part can now be set to only process Name part or Extension part or Both.
  ADDED - Now possible to run file in search result from the context menu.
  ADDED - Now possible to customize the key for the Explorer Panel command "Toggle selection and step down"
  ADDED - Now possible to customize the key for the Explorer Panel command "Toggle selection and calculate folder"
  ADDED - Editing an exiting custom command in the editor. The namespace/function dropdown and description will update to match command
  ADDED - CustomCommand MC.Explorer.Selection.Select now support option ONLYFILES / ONLYFOLDERS (Works in all panel types)
  ADDED - CustomCommand MC.Explorer.Select now support option ONLYFILES / ONLYFOLDERS (Only for Explorer Panel)
  ADDED - CustomCommand MC.Explorer.SizeFolder
  ADDED - CustomCommand MC.Explorer.SizeItemFocus
  ADDED - CustomCommand "SetActiveTab" now support "Next" and "Prev" as tab parameter.
  ADDED - Rename multiple item using move to same path (shift+F6) is now using target name filter.
  ADDED - Rule based file coloring. (Exprimental, no UI to configure it yet. Use MultiScript to configure)
  ADDED - Able to hide delete options dialog when deleting to recyle bin. (Use at own risk)
  ADDED - FileOperations settings that was access from CopyTo dialog is not also available from configuration menu
  ADDED - Change file properties dialog (Attributes and FileTime) can now also change Created and LastAccess time.
  ADDED - Show hidden files command and Search command now available in menu and toolbar
  ADDED - Extended Contextmenu options is shown if shift is pressed while showing it
  ADDED - Hovertime for auto select on hover can now be tweaked
  FIXED - QuickLaunchBar handles relatives paths better.
  ADDED - QuickLaunchBar can create relative paths better
  ADDED - QuickLaunchBar can now be configured on how to handle dropped files.
  FIXED - Converting path to absolute/relative in FileTypeSetup now works better.
  FIXED - File search handles binary files better.
  FIXED - QuickSearch in ExplorerPanel can now be started with none localized alpha letters.
  FIXED - TargetName pattern now supported for copy of multiple files/folders.
  FIXED - Path matching settings in FileTypeSetup is now loaded correct.
  FIXED - CheckSum checking (SFV) sometimes locked a file if the process was stopped with the stop button.
  FIXED - Issue with move operation leaving a empty folders if SKIP ALL was selected when an existing file was found when moving a previous folder.
  FIXED - Crash problem with FTP on 64bit OS
  FIXED - UserDefined Commands of external type will now expand ${xx} tags correctly.
  ADDED - RAR files will now be tested against it bytemark before they are opened as rar files.
  FIXED - File search continue button in dialog now works again
  FIXED - Crash issue with Tar/Gz
  FIXED - Lots of internal fixes and improvements.
  FIXED - 8 Crash problems reported by the Crash Report System.
  
  
Release v3.0 (Build 1360) (1-Mar-2013 )  

Over 360 + Changes

  CHANGE- A lot of internal core changes.
  CHANGE- A lot of SDK/API changes.
  FIXED - Commands run from the commandline field will now use the FileType setup to determin how the file should be run.
  ADDED - New MultiScript functions StrRFind, PathGetPathPart, PathGetNamePath, PathGetFileExtPart, PathGetParts
  FIXED - Problem with MultiScript function StrRegExpFind
  FIXED - Crash problem when running incorrect code as MultiScript
  FIXED - Script engine can not return a const array of variables correct. 
  FIXED - Issues with the MultiScript Debugger.
  ADDED - Favorites can now be shown as a popup menu in the crumbbar. (as right click action on the Path field)
  FIXED - Text issue when deleting favorite item.
  FIXED - Fixed some strange lost focus problem with Favorites Window.
  FIXED - Many texts that did not use the MultiLanguage system is now using it
  ADDED - Language selection dialog show on first run. Will now autoselect the users language if found.
  ADDED - Major change on How the MultiLanguage system works.
  ADDED - Built in language editor updated with more features.
  CHANGE- MultiCommander will now read the language files from the LanguagePack files named LangPack_xx.zip stored in the Languages folder.
  FIXED - Changing hotkey to a extended key did not always survive restart.
  FIXED - Extensions that are disabled by the user are now no longer loaded.
  FIXED - Issue with pressing right button while dragging
  FIXED - Hide/Show state of toolbars might be reset after update because of a fix in how it remember the state.
  FIXED - Extra long path issue fixed when syncing source/target path.
  FIXED - Extra long path issue when copy path to clipboard.
  FIXED - Extra long path issue when copy long path to a short path.
  FIXED - Thumbnail view mode setting was not always saved.
  ADDED - Empty folder will now show 0 is size folder when doing folder sizing.
  ADDED - Folders can be forced to be sorted by name.
  ADDED - MultiUpdate using new way of downloading updates. (Old way can be activated in settings)
  ADDED - The Device Toolbar will now show tooltip for the device/folder icons.
  FIXED - Fixed problem when saving a FileOperations presets.
  CHANGE- Customized FileOperation Read/Write strategies are no longer stored in MultiCommander.xml, Now stored in FileOpRWStratergy.xml, Will autoconvert.
  CHANGE- FileOperationPluginProfiles are no longer stored in MultiCommander.xml, Now stored in FileOpPluginProfiles.xml (Will be autoconvert)
  CHANGE- FileOperationPresets are no longer stored in MultiCommander.xml, Now stored in own file FileOpPresets.xml, (Will be autoconvert)
  CHANGE- Alias information is moved from MultiCommander.xml to its own file Aliases.xml. (Will be autoconvert)
  CHANGE- Modules information is moved from MultiCommander.xml to its own file Modules.xml. (Will be autoconvert)
  CHANGE- Improved performance when reading config/settings information. (Will probably not be noticable, but it is a lot faster)
  CHANGE- Icons used in MultiCommander.exe and some of the extensions are moved to it's one DLL file named MCIcons.dll
  CHANGE- Lots of internal changes to handle the new Icon system
  REMOVE- Many obsolete icons that was still inside MultiCommander.exe removed.
  FIXED - 4 Crash issue reported by crash report system.

Release v2.8.2 (Build 1291) ( 24-Jan-2013 )

  Over 25+ Changes. 

  ADDED - MultiScript function for working with file attributes ( AddFileAttributes/Set.../Remove.../Get../Has...)
  ADDED - MultiScript function MoveFile(....)
  ADDED - Search now support exclude filtering.
  ADDED - Pressing Ctrl+Q in the Favorites Window will now toggle between the Name and Path
  FIXED - If 'New version' checking at startup was aborted or timed out could hang MultiCommander.
  FIXED - Some wildcard matching problem with Search Tool.
  FIXED - Crash issue if Multi Commander was closed before all of the startup tasks was finished.
  FIXED - Favorites Windows is now shown in the places that HotPath was shown before.
  FIXED - Some issues with the Favorites Windows
  FIXED - 2 Crashes reported by crash report system

Release v2.8.1 (Build 1275) ( 25-Dec-2012 )
  
  Just some minor fixes

  FIXED - Missing icons on DriveBar located inside the Explorer Panel
  FIXED - Rare crash issue that happen at startup.
  FIXED - Some fonts was not using the charset set by Windows.
  FIXED - Crash sometimes when copy/pasting in Favorites Window.
  FIXED - Favorites Window did not hide if lost focus when in edit/add/delete mode.
    
Release v2.8.0 (Build 1272) ( 22-Dec-2012 )

  Over 130+ Changes. 

  ADDED - New Favorites/Bookmark System. Press ALT+BackSpace or press Favorites icon on commandline bar to show it.
  ADDED - New Language : Hungarian - Provided by Zityisoft
  REMOVE- HotPaths removed. Replaced with quick path in the the Favorite manager. (HotPath will be converted automatically)
  ADDED - The colors for the ProgressBar shown in statusbar can now be configured.
  ADDED - Highlights in FileViewer can easier be removed and added from the context menu.
  ADDED - Selection status in Explorer Panel can now be configured to show 0,1,2 decimals
  ADDED - Selection status in Explorer Panel can now be configured to mini/short/long size unit after the size
  ADDED - Explorer Panel can now show 0,1,2 decimals in the size column.
  ADDED - Explorer Panel can now show none/mini/short/long size unit after the size.
  ADDED - Command to load selection from clipboard.
  ADDED - Drive bar in main window can now show Special Folders, Virtual Devices and Cloud folders.
  ADDED - MultiScript can now show a window asking user to select one of many items from a dropdown list. See : "AskOption"
  ADDED - MultiScript function to convert date/time as text to number value. See : "ParseDateTime"
  ADDED - Settings to force what panel side that should be set as active at startup.
  ADDED - Default settings for new tabs, View Mode and FolderTree can be configured.
  CHANGE- Date format settings is now a global settings for all open Explorer Panels.
  FIXED - Some backup/restore issue when running in portable mode.
  FIXED - Icon was not shown for Net/Reg/FTP on the Toolbar if icon size was 24 or 48.
  FIXED - Fixed problem with launching programs from the QuickLaunch bar, If the path had dots in a folder name.
  FIXED - Multi-Script Debugger will now list script sorted, Work faster and better.
  FIXED - Scrollbar problem in List mode.
  FIXED - Problem when running an empty MultiScript
  FIXED - Problem with custom command "MC.Run" The parameter "STARTIN" did not work.
  FIXED - Pack/Unpack/CopyTo dialog will now use filesystem auto completion.
  FIXED - Selection status in ExplorerPanel will now use the thousand separator defined by Windows.
  FIXED - FTP Log tab will now use the same font and colors defined for the other logs.
  FIXED - Will now warn if codepage that can be defined for zip is invalid
  FIXED - Crash problem is zip codepage is invalid.
  FIXED - Rare crash problem with settings.
  FIXED - 6 other Crash problems reported by crash report system

Release v2.7.2  (Build 1200) ( 4-Okt-2012 )

  Over 80+ Changes. 

  ADDED - Removal/Inserts of SD-Card in SDCard reader is now detected correct.
  ADDED - Can now run "MultiCommander.exe /OPEN [path]" to open [path] as a new tab in an already running instance of MultiCommander
  ADDED - Online documentation is updated and new pages are added for features that was added in previous releases.
  ADDED - Can now configure User defined commands to mouse button commands.
  ADDED - FTP Bookmark now support remote dir that it should go to when connecting.
  ADDED - Now possible to enable 'Auto Select file/folder when hovering over', Useful for single click configuration.
  FIXED - Connecting to FTP using command line command now works again ( ftp://[<username>:<password>]@host[:port][/remotepath] )
  FIXED - Various FTP fixes.
  FIXED - Context menu on RightClick button now works again.
  FIXED - Issues with startup if working directory was not MultiCommander install folder.
  FIXED - Rename action did not work on some mouse configurations, like Click and Wait action for Right or Middle button.
  FIXED - Password problem with 7-Zip.
  FIXED - Issue with file property that prints a date/time in MultiRename tool.
  FIXED - Some Multi-Language issue when running in portable mode.
  FIXED - Issue where some tabs reverted to C:\ when a USB/Removable drive was removed.
  FIXED - Drag and Drop issue when dropping folder from programs that where using the FILEGROUPDESCRIPTORW, Way of dropping files.
  FIXED - Crash problem when using FTP that only affected some languages.
  FIXED - 7 Crash problems reported by crash report system.

Release v2.7.1 (Build 1182) ( 4-Sep-2012 )

  ADDED - Now possible to assign hotkeys to the different View Modes.
  ADDED - Can now change view mode with custom commands. "MC.Explorer.SetViewMode"
  ADDED - Can now change sorting with custom commands "MC.Explorer.Sort"
  ADDED - Can now drop link from browser.
  ADDED - Support for 7Zip archives that are password protected.
  ADDED - Can now auto run a User defined command at startup using "Multicommander.exe -AutoRun=<CommandName>"
  ADDED - Support for new language : Spanish - Created by Mauro72
  ADDED - Support for new language : Chinese (Simplified) - Created by Tyler
  ADDED - Support for new language : Chinese (Traditional) - Created by Tyler
  ADDED - (Experimental) Force the zip filesystem to use a custom codepage. Set Codepage using ":zipcp <cp num>" in the command line field. ( -1 for current system codepage )
  ADDED - (Experimental) Force the zip filesystem to use the extended zip support for UTF8 when created Zip archive. Use commandline command ":ziputf8 1" to enable
  ADDED - Can now configure how many hotpaths to shows. (Right click on whitespace in path field, or Ctrl+Down)
  FIXED - Path and FreeSpace field did not update if Device Dropdown was disabled, when browsing network paths.
  FIXED - Virtual Filesystem for 7-Zip had problem when files inside a .7z archive had invalid attributes.
  FIXED - Crash when adding separator to menu
  FIXED - MultiCommander Now works on Windows XP with SP2 again.
  FIXED - 4 Crash problems reported by crash report system.

Release v2.7 (Build 1171) ( 19-Aug-2012 )

  Over 180+ Changes. Some of the major changes are.

  NEW   - Can now show files in Thumbnail List mode. Can use both Windows own Thumbnail system or a Internal one (Internal only available for WinXP)
  NEW   - Multi-Script debugger. Allowing you to step a Multi-Script line by line and see variables and their content.
  ADDED - Skydrive and Dropbox folder are added to the device dropdown list.
  ADDED - Command line command ":ctc" that will Clear Thumbnail Cache.
  ADDED - Command line command ":sysinfo"
  ADDED - Command line commands ":box" and ":sky" to go to Dropbox/Skydrive folder.
  ADDED - Command line commands ":desk" and ":dl" to go to desktop and download folder.
  ADDED - "Copy path to clipboard" as a toolbar button
  ADDED - Added Windows 8/Windows Server 2012 as supported OS. 
  ADDED - When loading an icon of a invalid size. A bigger icons size is chosen and icon is scaled down. (Not WinXP)
  ADDED - Added support for more icon sizes for the main Toolbar and QuickLaunchbar, Main toolbars can now be shown in 16/24/32/48
  ADDED - Option to the mouse configuration to go to parent folder if double clicking on empty area.
  ADDED - Main layout can now be change to show the layout as Top/Down, instead of Left/Right
  ADDED - Quick zoom option to picture viewer. ( Ctrl+1 = 50%, Ctrl+2 = 100%, Ctrl+3 = 150% , Ctrl+ 0 = Stretch to fit )
  ADDED - Device dropdown can now be disabled
  ADDED - Can now show used space instead of free space.
  ADDED - Free space field can now be disabled
  ADDED - Selection status field can now show the size in other sizes then KB.
  ADDED - Buttons that are shown after the free space field can now be disabled.
  ADDED - Added option to disable the active panel frame highlightning.
  ADDED - Language editor can now restore an language export package.
  ADDED - Possible to show hidden/system files and folders with special color.
  ADDED - Support for new language : Polish - Created by Lukasz Seweryn
  CHANGE- The 7-Zip support is updated to a newer version.
  FIXED - Some icons was shown incorrect when the command for that button was disabled.
  FIXED - Updated a couple of the icons so they now looks better when showing the toolbar in 24/32/48 size
  FIXED - Picture viewer did sometimes not show the picture at the first request to show it.
  FIXED - Improved the performance a little when getting icons.
  FIXED - Special folder that has special icon will now be shown with that icon.
  FIXED - Some dialogs did not always open (Alias editor and Extension manager)
  FIXED - Problem when unpacking zip using ALT+F6 (File > Menu > Unpack ) and target folder was a UNC path ( \\server\share )
  FIXED - User Defined command on the QuickLauchbar will now recieve dropped files as parameter.
  FIXED - Some icons was loaded incorrectly and was scaled even if they did not have to be.
  FIXED - The entire row QuickLaunch Toolbar can now be disabled from the menu on XP.
  FIXED - Crash bug in MultiScript if StrSub() was called with index that was out of range.
  FIXED - Crash bug if Device dropdown was disabled.
  FIXED - Various MultiLanguge issues.
  FIXED - Restoring language in Language editor, and pressing cancel will no longer say that language files was restored
  FIXED - Picture Viewer Zoom function 'Stretch to fit' now works better
  FIXED - Copy Path/Name/PathName to clipboard will now work if ".." item is in focus.
  FIXED - Problem with minimized to tray.
  FIXED - Header in Explorer panel is now using the same font as the list part.
  FIXED - Fixed problem after restart when 'lock tab but allow path change' was on.
  FIXED - Fixed some drag and drop issue when dragging from some application.
  FIXED - Fixed problem when trying to copying a file that are already opened.
  FIXED - 12 rare crashes that was reported by the crash report system.
  FIXED - Many internal changes and fixes.

Release v2.5.1 (Build 1114) ( 29-Jun-2012 )

  Re-Release of v2.5 with a couple or more fixed - 30+ Changes
 
  ADDED - 5 new Custom commands : MC.CmdLineSet, MC.CmdLineRun, MC.View, MC.Edit, MC.Explorer.SetColumns
  FIXED - File Type Setup window was setting the wrong tag, when ${mcpath} was selected.
  FIXED - Mouse cursor problem that happen if mouse was moved fast in the Quick Launch Bar.
  FIXED - Changing focus to View Filter field, Text already there will be selected.
  FIXED - 4 crash problems reported by the CrashReport system.
  FIXED - Column autosize problem with going to/from maximized mode.
  FIXED - Column autosize problem with alias manager.
  FIXED - File viewer will now draw line numbers different.
  FIXED - File extension not always shown in lit mode with option 'Extension right aligned'
  FIXED - Problem with restoring sort order of previous tab at startup.

Release v2.5 (Build 1110) ( 16-Jun-2012 )
  
  Over 345+ Changes. Some of the major changes are.

  NEW - Explorer Panel can now show files in List Mode 
  NEW - Quick launch bar - Toolbar where you can drop file on, and more
  NEW - Toolbar system reworked.
  Changes - Many of the icons has been updated
  ADDED - Toolbars can now be hidden
  ADDED - Can now draw file extension right aligned in the filename column
  ADDED - File viewer - Has now support for word wrap both fixed and dynamic
  ADDED - File viewer - Can now show line number.
  ADDED - File viewer - Read entire file now works.
  ADDED - File viewer - Can now hide toolbars.
  ADDED - An internal icon gallery that can be used by the new Quick Launch bar.
  ADDED - Language editor can now launch google translate.
  ADDED - Right clicking on a drive button in the drive bar will now show the shell context menu for that item,
  ADDED - Active panel in the left and right panel can now swap places.
  ADDED - Active panel can now be moved to other panel.
  ADDED - Better error checking for directory monitor.
  ADDED - MultiScript function _FindFiles that return string array of found files.
  ADDED - MultiScript function GetFileTime/SetFileTime/IsFolder/GetFileSize/FileExists/TimeLocal2UTC/TimeUTC2Local/RenameFile.
  ADDED - MultiScript function GetFileProp - That will get any exposode file property like MP3 Genre, Image size, File Size, Version and more
  ADDED - Custom Command for closing all Explorer panel tabs. ( MC.Explorer.CloseAll )
  ADDED - Can now specify what codepage a Bat script shall be generate and run as.
  FIXED - MultiTags ${currentfilepath}, ${currentfilename} now work again when running a script separetly for all selected files.
  FIXED - Custom Command can now handle accept dropped files as parameters and accessiable using multitag "${param:x}"
  FIXED - Problem with MultiScript function _FindFirstFile. Does not work with fixed name to match.
  FIXED - Loading external scripts now work a lot better.
  FIXED - When deleting folders to recycle bin on Windows Vista or better. The folder with it's content will be sent to recycle bin as one item.
  ADDED - Custom Command to execute any internal command.
  ADDED - When starting search from script it is now possible to set a fixed panel where it should be opened.
  FIXED - Right click on a folder in the folder tree and selecting New->New Folder now works.
  FIXED - The Path in the path field sometimes lagged a bit when entering folder with many files
  FIXED - Sometimes when selecting item the selection status did not update.
  FIXED - Problem in Explorer panel settings when settings a custom date/time format
  FIXED - Problem when multiselecting files with "*zip" instead of "*.zip"
  FIXED - When drag and dropping a file from a zip archive. It suggested that a Move operation should be done instead of copy.
  FIXED - Improved speed a lot when unpacking many small files from a zip archive
  FIXED - Problem when unzipping files into FTP location
  FIXED - Unzip problem with some zip archives
  FIXED - Problem with moving files under some situations.
  FIXED - Some High DPI issues.
  FIXED - Menubar and commandline bar will now remember their state between restarts.
  FIXED - Can ow rename Menu items for the custom menu for user commands.
  ADDED - View mode button to the Explorer Panel
  ADDED - Can now set current column layout as the default by right clicking on the column header.
  ADDED - Pressing Ctrl+T in the Copy Progress Dialog will toggle "Always On Top" for the Progress Dialog
  ADDED - Option for drag and drop copy and move operation, to show CopyTo/MoveTo dialog or not.  
  FIXED - When running in Portable mode it did not remember open tabs correct.
  FIXED - MultiLanguage problem.
  FIXED - Context menu in Search shows blank items.
  + a lot more

Release v2.1.2 (Build 1045) ( 5-May-2012 )

  14 Minor changes. Only some important fixes for some stability issues.

  FIXED - Drag and Drop issue if a single file was moved.
  FIXED - Fixed problem when pressing "..." button multiple times.
  FIXED - Issue when opening search with custom command.
  FIXED - Stack overflow problem if copying the paths of many thousands of file to the clipboard.
  FIXED - 2 very rare crash problems.

Release v2.1.1 (Build 1038) ( 22-Apr-2012 )

  Over 30+ Changes.
  
  FIXED - Cursor problem that happen if right clickmenu was shown while resizing column.
  FIXED - When opening a shortcut file (.lnk file) and if the link target is a folder, The folder is now opened inside Multi Commander.
  FIXED - Custom command for copy and move operations can now be configured to start directly without showing confirm dialog.
  FIXED - 7 Other crash issue that can happens. But happens almost never.
  FIXED - Crash problem when customizing columns
  FIXED - Crash problem when opening multiple file with a external file viewer.
  FIXED - Some minor language issues.

Release v2.1.0 (Build 1030) ( 9-Apr-2012 )

  Over 210+ Changes. Some of the changes are.
  
  ADDED - NEW Language support : Dutch - Created by Hans Niesten
  ADDED - NEW Language support : Czech - Created by PetRip
  ADDED - Large Icons Support for Folder Tree ( 32x32 )
  ADDED - Settings to turn off the feature that remember selected files/folders when returning to previous path.
  ADDED - Multi Commander can now be configured to only start a single instance.
  ADDED - Multi Commander can now be minimized to a tray icon.
  ADDED - Create Links tool can now create shortcut files (.lnk) 
  ADDED - Shared folder overlay icon is now shown even if you are not running on XP
  ADDED - View Filter can now be configured to reset itself when going to a new path.
  ADDED - View Filter can now be configured to restore the view filter you had before leaving the path.
  ADDED - Multi-Rename now shows status of items renamed and error.
  ADDED - Quick search now support substring matching.
  ADDED - Can now customize what keys to use for moving focus to first and last item in the explorer panel.
  ADDED - Can now customize what key to use to move input focus to the commandline field.
  ADDED - If Viewing an picture and pressing Ctrl+C the picture will be copied to the clipboard.
  ADDED - If needed, It will ask the user if it should enabled linked connections. 
  ADDED - Can now choose to not separate files and folder when sorting.
  FIXED - When packing files a unique filename will be suggested
  FIXED - Hight issue with the button panel if it was changed to only show 1 row.
  FIXED - Crash problem if adding file to current copy queue and then abort the copy process, shortly afterwards.
  FIXED - Crash Problem if double clicking on Left and right Path Field after each other a couple of times.
  FIXED - REG_MULTI_SZ now shown
  FIXED - Unpacking multiple files from a tar.bz2 archive, And files already exists. The "Overwrite?" dialog was not shown.
  FIXED - Delete to recycle bin now works if deleting using "Retry as administrator"
  FIXED - Sorting problem when sorting by extension.
  FIXED - Some minor language issues.
  FIXED - Picture viewer will now respect the "AutoRotate" option.
  FIXED - Move file using Retry as admin did not always work.
  FIXED - Packer profiles can now be deleted.
  FIXED - Some minor problems with view filters.
  FIXED - Problem with quick search. Sometimes it was not possible to remove the first letter that was typed.
  FIXED - Tweaked view filters a bit.
  FIXED - Rare crash in MultiRename for files with no file extensions.
  FIXED - Live preview did not always update in MultiRename.
  FIXED - The File searcher did not always find matching files when searching for content if the file was in unicode.
  FIXED - File Search problem if search for content and 'whole word only' and matching word was the last line in the file.
  FIXED - Fix very rare crash in File searcher when searching for file content.
  FIXED - Some large icons was missing and has been added.
  FIXED - Suggested source folder when unpacking a tar.gz file was wrong. So instead of unpacking into a folder it would unpack into a new .tar instead
  FIXED - Problem with adding files to a tar archive if the file name was very long.
  FIXED - Problem going to ".." when located in a server share ( "\\server\share\" ) 
  FIXED - Problem restoring Multi Commander from tray if it was maximized before it was minimized to tray.
  FIXED - Even if the option for remember selection was disabled. It remembered them in some situation.
  FIXED - Better error handling on FTP when uploading a file that already exists.
  FIXED - tar.bz2 files can now be aborted and/or paused when being unpacked.
  FIXED - When running with only allow a single instance, did not work as expected if it was minimized.
  FIXED - Operator += now works with arrays in MultiScripts. ( eg "$res = $arr[$d] + "Append" )
  FIXED - MultiScript function CopyFile now works better.
  FIXED - Fixed problem when unpacking tar.gz files that had a path that started with ".\"
  FIXED - Problem when showing the button editor and then other dialog was shown under that window.
  FIXED - Problem with error handling with MultiRename.
  FIXED - Problem when opening the CheckSum Extension from the context menu on the tabarea.
  FIXED - Quick search field now accept keypad number keys.
  FIXED - Problem with natural sorting.
  FIXED - Shortcut files (.lnk) will now show the icon of the target of the link.
  FIXED - PackFiles will now use the autoclose settings.
  FIXED - Problem when showing some child dialogs from Button editor.
  FIXED - Dragging files/folder to the folder tree will now show the correct drag/drop action. (Copy/Move)
  FIXED - A couple of minor memory leaks
  FIXED - 8 Crash situations that was reported by crash reports.

Release v2.0.0 (Build 996)

  Over 300+ Changes. Some of the major changes are.

  ADDED - NEW ! MultiRename with Undo support. Allows for renaming multiple files using tags and filters.
  ADDED - NEW ! Picture Viewer that support Jpg,Bmp,Png,Tif,psd, RAW Digital Cameras, and more. (Supports Fullscreen and slideshow mode)
  ADDED - NEW ! Movable tabs. Tabs can be drag and drop inside the same tab or to the tab on the other side.
  ADDED - NEW ! FileType Management. Configure what Viewer/Editor/Launcher to use for filetype based on extension and/or path
  ADDED - NEW ! DriveBar can now be shown inside the Exporer Panel.
  ADDED - Focus frame color can now be customized.
  ADDED - Path field colors can now be customized.
  ADDED - Support for Japanese language (Created by 'Tilt')
  ADDED - Support for Russian language (Created by 'Jangir I. Ganeev')
  ADDED - Main Drivebar can now be disabled.
  ADDED - Shows a list if available extension to launch when right clicking on empty tab space.
  ADDED - Double click on empty tab space will launch a new tab. (Configurable what it should be)
  ADDED - New File property that shows how many fragments a file has. This can be shown in a column.
  REMOVED - File Editor Setup is removed. The new FileType Management also handles this.
  FIXED - NTFS Take ownership sometimes failed to take ownership even if it has permission to do it.
  FIXED - If assigning new alias with same name as an existing the old will now be removed.
  FIXED - Embedded MultiScript in a CustomCommand could fail if there was multiple { } encapsulates.
  FIXED - Crash problem if "..." button was click on in MultiUpdate Settings page.
  FIXED - Unpacking of RAR archives that are password protected are now supported.
  FIXED - CustomCommand MC.FileSystem.Rename now works.
  FIXED - Showing file date as file age does now show the correct time. Was sometimes wrong by a couple of hours.
  FIXED - Unzip now support UTF-8 Encoded filenames.
  FIXED - Problem when browsing registry if a value was very long 512+ chars
  FIXED - Better support when copy files to/from extra long path.
  FIXED - When creating column sets from current setup the current column widths will be used.
  FIXED - MultiDataViewer will now better identify that xml files that are UTF-8 encoded.
  FIXED - Minor problem with natural sorting
  FIXED - Various high DPI issues.
  FIXED - Many many bugs and minor issues are fixed.

Release v1.2.1 (Build 876)

  105+ Changes - Some of them are.....

  FIXED - Crash issue when using hidden menubar
  FIXED - Script defined function that takes more then one parameter did not work correctly.
  FIXED - Various minor GUI fixes with Checksum extension.
  FIXED - Compare Folder, Select newest, will now work better if one of the folders are on FAT32 and the other NTFS.
  FIXED - Some special handling for FAT/FAT32 file systems was not activated on USB Devices that are formated in FAT/FAT32 mode.
  ADDED - Added Custom Command GetViewFilter() to be used from MultiScript,
  FIXED - Custom Command can now return a value to be use used in MultiScript, Will be stored in $__CMDRESULT
  FIXED - Deleting a junction/symlink with the option "Remove link target and link" the link target was never deleted.
  FIXED - Font sizes in Explorer Panel now work better in High DPI mode.
  FIXED - Creating Multiple links now works.
  FIXED - When Create links, It will now warn if user try to create symblinks on XP. (only supported in Vista and better)
  FIXED - If all views was set to show filedate as 'age'. The age text was not loaded. and only a number was shown.
  FIXED - Import settings crashed sometimes.
  FIXED - Quick Copy did not works on empty folder.
  FIXED - When using Windows Explorer styled selection some color configuration was showed incorrectly.
  ADDED - Now possible to add a custom text to be shown in the caption bar using -T commandline option.
  FIXED - Load selection from file failed if the file was saving as unicode.
  FIXED - Save selection to file showed the save dialog twice. 
  FIXED - Sometimes when copying files using the Admin helper, an error was shown even if the file copy was successful.
  FIXED - REG_EXPAND_SZ registry values are now shown when browsing the registry.
  FIXED - Creating multiple folder using custom command "MC.Filesystem.Makedir", did not make the view refesh. and folders was not shown.
  FIXED - Restoring configuration will now not fail if a folder is missing.
  FIXED - Replacing file inside zip archive sometimes failed.
  FIXED - ButtonEditor did sometimes not notice if a change was made.
  FIXED - If hiding the main menu some popup menus did not work.
  FIXED - Embedded MultiScript inside a CustomCommand now works again.
  ADDED - MultiScript function to get date and time.
  ADDED - MultiScript function for getting value of a MultiTags inside MultiScript. 
  FIXED - Buttons in Adjust EXIF date/time dialog was empty.
  ADDED - QuickCopy (Shift+F5) now added. Will copy file in focus to same location, but appen ".bak" to the name
  FIXED - VideoTools now support multilanguage.
  FIXED - Problem when replacing file inside zip archive.
  FIXED - When adding bookmark from quickconnect dialog the bookmarks was not updated.
  FIXED - Bookmarks in FTP when trying to delete bookmarks.
  FIXED - If Windows theme was disabled, A colored background was not draw on buttons in the button panel.
  FIXED - Strange problem that sometimes happened if a folder was deleted and then directly recreated from outside of Multi Commander
  ADDED - <DIR> text are now right aligned.
  ADDED - Now possible to export settings from the settings panel.
  FIXED - Minor changes to some dialogs so none english languages works better.
  ADDED - Increased override color profiles from 4 to 8.
  FIXED - Minor problem with colors in the Search extension.
  FIXED - Problem when opening a tar.gz file that has a git header.
  FIXED - View filter got broken in last release, Was not able to exclude folders.
  FIXED - Read/Write strategy can now be save to FileOperation presets.
  FIXED - Crash caused by a rare problem with the toolbar.
  FIXED - MultiLanguage problems, Was not possible to translate some texts.

Release v1.2.0 (Build 851)
  
  160+ Changes - Some of them are.....

  FIXED - Search panel is now using same color settings as file manager panel.
  FIXED - Running from USB did not remember last path, when restarted.
  FIXED - If selecting a anohter language then english, Then the device toolbar did not work.
  FIXED - Running External commands without parameters sometimes failed.
  FIXED - The Thousen separator that is set in the OS setting will now be used.
  FIXED - Many places that was missing multilanguage support.
  FIXED - Transfer2USB sometimes hanged.
  ADDED - Will remember active tab when restarting.
  FIXED - MultiLanguage program in various dialogs.
  ADDED - Support for French language added. (Created by Stéphane Pierre)
  FIXED - Problem if a copy operation was really fast. (Divide by zero problem. for the elapsted time calculation)
  FIXED - If file search was started with a panel in focus that did not provide a path (eg settings). The path in the file files dialog was corrupt.
  FIXED - Some places where texts in various places was hard coded, it now using the language files.
  FIXED - Buffer overflow problem with rar.
  ADDED - Language editor can now export the language files into a zip.
  FIXED - The path tooltop for tabs now work even if some tab names are truncated.
  FIXED - Quick search will now work even if filename column is not the first column.
  ADDED - New custom command "MC.CheckSum.Verify". Now possible to create scripts/commands that verify checksum files.
  FIXED - Rare crash problem with folder tree.
  FIXED - Tab closed if user click where the close button should be, if settings to not have a close button was set.
  FIXED - Crash problem when trying to base64 decode a file that was not a base64 encoded file.
  FIXED - Folder sizing a path that is longer then 260 characters.
  FIXED - Problem when renaming a file located in a path longer then 260 characters.
  FIXED - Problem when viewing a file located in a path longer then 260 characters.
  FIXED - Problem when creating new folder in paths longer then 260 characters.
  FIXED - Problem when scanning paths longer then 260 characters.
  FIXED - Various multi language text problems.
  FIXED - Problem if a columnname was empty
  FIXED - MultiTags in External command broke in last beta. 
  ADDED - 6 new MultiTag commands for getting left/right focus item.
  FIXED - When copying files and files already exists. The "Replace all older" option now works.
  FIXED - Files dropped on a button will now have quotes around them.
  FIXED - Fixed a couple of High DPI related problems.The main GUI should now be drawn correctly if run under High DPI mode.
  CHANGE- Devices where it is not possible to get free/available space will now no longer show any free space information.
  FIXED - Constant string now works with CustomCommands called from MultiScripts. (eg MC.Explorer.Goto Path="c:\bin" )
  FIXED - Crash problem if multiple instances of the Language editor was opened.
  FIXED - Multi selected problem when running WindowsExplorer mode.
  FIXED - Path field, Freespace field, status field, all in the explorer panel, Will now resize according to the selected font size.
  ADDED - Then panel tabs now shows the complete path in a tooltip when hovering over the tab.
  ADDED - MultiCommander can now be started with -F=<startup>.ini file, that defines multiple paths to show at startup.
  ADDED - CustomCommands and External Commands now support single quotes. See online documentation.
  ADDED - ${mcinstallpath} can now be used in the Editor setup, So that relative paths can be used. 
  ADDED - 5 new MultiTags added. See Online Documentation.
  FIXED - When editing file the quotes around filename to edit was not kept.
  FIXED - Device dropdown list lost items when a removable (USB) was removed.
  FIXED - File Search could crash if search tab was closed shortly after a search was finished.
  ADDED - From contextmenu it is now possible to copy a calculated CRC32/MD5 checksum to clipboard.
  ADDED - Device toolbar will now show USB/Removable device.
  ADDED - Bunch of new Multi-tags to be used in custom commands, similar to the new MultiScript commands.
  ADDED - Bunch of new MultiScript function to get source/target focus/selected files.
  CHANGE- MultiCommander will no longer lock the folder it is watching for changes.
  ADDED - Menu bar can now be hidden, and then shown by pressing alt key.
  FIXED - Double click to close tab in right panel now works again.
  FIXED - Various rare problem that can cause a crash in rare situations.
  FIXED - Crash problem when doing 'smart' rename and the file did not have a file extension.
  FIXED - Crash if browsing for external multi-script file.
  FIXED - Crash if FTP url was empty.

Release v1.1.1 (Build 800)
  
  80+ Internal changes

  FIXED - Possible crash in CopyTo Dialog.
  FIXED - Rare crash that sometime could happen when a tab was closed.
  FIXED - If file(s) was droppped on a button. The dropped files data was reused if button was click next time.
  FIXED - Now possible to remove button from button panel.
  FIXED - Double click in tab area. but outside a tabbutton, Will no longer close a tab.
  ADDED - ColorPick dialog now allows the html color to be edited.
  ADDED - Custom Command now shows the desciption for the command and parameters.
  ADDED - German language support for core parts of MultiCommander added. Thanks goes to Hajo for that.
  FIXED - Two problems that in rare condition could cause a crash.
  ADDED - Now possible to configure action for left mouse button, Eg, SingleClick action for going into folders.
  FIXED - Crash program with language editor if a text items was removed.
  FIXED - Two internal problems that in rare condition could cause a crash.
  FIXED - When saving/applying core settings the edit field in the Address Toolbar was blanked out. Until mouse was moved over it. 
  FIXED - Better handling when trying to browse a network server or server share that does not exists.
  ADDED - MultiCommander.exe now accept commandline parameters for showing path. /L=<path> , /R=<path>
  FIXED - Crash problem with video tools if scanning movie files located in root of scan path.
  FIXED - Overlay icons did not work on files and folder in the root of a device. (Eg Hand icon on shared folders on WinXP)
  FIXED - Searching for files with matching binary content using the HEX option now works.
  FIXED - Crash problem when using context menu->New->Rich Text Document (or when creating some of the other files there).
  FIXED - Update problem of the buttons in file search.
  FIXED - Crash problem in some places if a translated text was in unicode. eg Chinese.
  ADDED - The Device combo how has a Network item. This will list all availible network computers close to you.
  ADDED - If double click or press return on a file inside an archive. That file will be unpack and executed.
  FIXED - Crash problem when editing a file without file extension.
  FIXED - When Installed on portable. Session information was not stored on portable device.
  ADDED - Easier to add support for new languages.
  ADDED - Now possible to add/change and alias for a User Command from the User Command editor.
  ADDED - The CustomCommander "MC.Explorer.Goto" can change both the source/target or left/right view at the same time.
  ADDED - Custom command now support external parameters with ${param:0}, ${param:1} and so on. (Parameters from the commandline)
  FIXED - Install on Portable (USB) Device now work again.
  FIXED - Sorting bug.
  FIXED - Crash problem with the language editor.

Release v1.1.0 (Build 780) 

  180+ Internal changes

  ADDED - Hold ALT while double clicking on file(s) will show properties dialog.
  FIXED - Problem with item that is in focus and is selected, they got unselected after showing the context menu.
  FIXED - Problem that sometimes crashed Multi Commander when a tab was closed.
  ADDED - If F5 is pressed inside the CreateFolder dialog the first line from the clipboard is set as foldername.
  ADDED - If user stands on a folder and press ctrl+F7, Folder with same name is created on the target.
  ADDED - If user press shift+F7 to create folder the Create Folder dialog will be preset with the first line of text from the clipboard.
  FIXED - Problem when HTTP error happen when getting movie information.
  ADDED - When deleting a file and getting shareing violation error. You can now press "Find Process" from the error dialog.
  FIXED - Upgraded to newer Unrar code. Now supports the unpacking of rar 4.0 archives.
  ADDED - SDK - HTTP Client interface
  ADDED - Possibility to override files/folder colors with custom color based on file name.
  FIXED - Problem with column set dialog.
  ADDED - New Extension "Video Tools". Shows Movie information in columns for movie files.
  ADDED - Improved how the configuration of colors works.
  FIXED - Rare crash problem when unselection files/folders, when no files or folders was in focus.
  FIXED - Crash problem when creating new column set.
  ADDED - RetryAsAdmin now supported when copying files when user does not have permission to write to target location.
  ADDED - New CRC32 algorithm that is 2.5 times faster then the old.
  FIXED - Possible crash issue with column headers.
  ADDED - Possible to filter the view to only show the selected items with Ctrl+G (Shift+Ctrl+G will show all items again)
  ADDED - View filter will now do live updates and support substring matching when no without wildcard (*?) characters entered.
  ADDED - New and Easier Quick Look'n'Feel Setup dialog.
  FIXED - Possible stack overflow problem.
  ADDED - New FolderTree View. Toggles it on with Alt+Num* and change focus to to with Alt+Num/

Release v1.0.2 (Build 735)

  FIXED - Problem with missing language file for the AudioTools plugin.
  ADDED - User defined commands can now be imported and aliases and menu option to be automatically setup.
  ADDED - The Default column setup can now be changed.
  ADDED - It is now possible to create a column set from the current column setup.
  ADDED - It is now possible to copy a existing column set to a new one.
  FIXED - GUI Problem with the column set dialog.
  FIXED - Improved error handling of FTP.
  FIXED - Crash problem when having additional file operation after a move operation.
  FIXED - Crash problem when user was asked to to add a new file operation to existing queue. But the existing queue finished while the question dialog was shown.
  FIXED - Copy registry keys and values as administrator when running as normal user now works.
  FIXED - Multiple \\server path are now shown correct in the device selection box.
  FIXED - Possible deadlock when monitoring a folder for change.
  FIXED - If starting a new copy process while a previous is started but is preparing, No option to add new copy operation to existing queue was showed.
  FIXED - Sometimes in some situations when added multiple copy operation to the same queue. Multi Commander would crash.
  FIXED - If Copy operation was aborted it was not always cleaned correct. And Multi Commander could crash later on.
  ADDED - When drag and dropping and hovering over a tab. That tab will now be activated.
  FIXED - Some NAS devices do not support the newer faster way of scanning files in windows 7. It will now revert back to the old way for them.
  FIXED - When ejecting USB device some tabs reverted to c:\ even if they did not show the device that got ejected.
  FIXED - Sometimes device icon for network device was not updated as they should.
  FIXED - Sometimes when copying using auto unpack plugin, some files that was not rar files was handled as they were.

Release v1.0.1 (Build 702)

  FIXED - If pressing cancel on the "Quick look'n' feel setup' dialog that are shown after a fresh install, it fails to load configuration. 
  FIXED - If it failes to load what font name and/or font sizes to use from configuration a default font and size are used.
  FIXED - Some configuration files was not auto copied to users config folder if missing.
  
Release v1.0.0 (Build 700)

  FIXED - Problem if startup path was "FTP:\" 
  FIXED - When browsing to a invalid folder it will first try to fallback to previous folder before falling back to the path of first device.
  FIXED - When doing "Context Menu->New->Text File" the file was not entered into rename mode if explorer styled setting was used.
  FIXED - Problem when user click on skip for a copy operation using asynchronous read/writes.
  FIXED - Problem when showing error dialog if progress dialog is minimized.  
  ADDED - Script function to read/write registry keys and values.
  FIXED - Problem with viewing registry values in viewer.
  FIXED - Problem with scrollbar update.
  FIXED - Possible to copy a file that is located in a path that are longer then 256 characters.
  FIXED - Will remember scroll position when going back to previous location.
  FIXED - When auto scrolling to item in focus it will now try to center it.
  FIXED - Will now show picture properties of .bmp images.
  FIXED - Problem with comment EXIF tag.
  FIXED - When right clicking on header the focus to that panel was not changed.
  CHANGE- Better logging when renaming.
  FIXED - Problem when going to a registry path in some situations.
  CHANGE- Splash screen changed.
  FIXED - Problem when browing registry path with missing backslash in path eg "REG:HKEY_LOCAL_MACHINE"
  FIXED - Problem when packing multiple folder into seperated .7z archives.
  FIXED - Better error handling when deleting files inside zip archive.
  FIXED - PackFiles dialog will now disable "configure" button if packer does not support it.
  FIXED - Packing of 7-Zip archive can now be aborted and paused.
  CHANGE- Rename tool "Replace text in name" can now replace extension or just the filename part or both.
  ADDED - When Rotating/Converting/Stipping exif from Pictures now shows a better result dialog.
  ADDED - When Rotating or Converting Pictures it is now possible to get a result log file.
  FIXED - Better error reporting when using FTP.
  FIXED - When going to a new location using the crumbbar or device combo,in a locked tab would open two new tabs.
  FIXED - Ctrl+X (cut) on multiple files now works.
  FIXED - Highlight history for the fileviewer is now stored correct.
  FIXED - 93% speed improvment of the LoadSelectionFromFile feature. Selecting matching files took 30sec for 1000 filter on 1000 files, now <2sec.
  FIXED - Better detailed information when running MultiUpdate with 'show detailed information' checked.
  FIXED - Better updating of log window when using FTP.
  FIXED - Better error handling when using FTP.
  FIXED - FTP Password is now stored encrypted.
  FIXED - Better handling and saving of changes in bookmark dialog.
  ADDED - Now possible to connect to FTP Bookmark form the bookmark dialog.
  ADDED - Improved startup speed.
  ADDED - Improved scanning of filesystem speed.
  FIXED - When going into a folder the GUI was sometimes redraw multiple time. 
  ADDED - CustomCommand for creating links added "MC.Utils.CreateLink"
  ADDED - Links can be copied if CopyLink options is set.
  CHANGE- Default link option for copy/move change from CopyLink to Ignore Links.
  FIXED - Delete of links that link to folder will now not scan that folder.
  ADDED - Better error handling in copy process.
  ADDED - Registry key under local machine can now be renamed using administrator mode.
  ADDED - On request, Ctrl+Return/Ctrl+Shift+Return will add the filename or filepath to the commandline field.
  ADDED - Pressing the tab key in the command line field, Will move the focus back to the tab panel. Without clearing the commandline.
  ADDED - FileViewer will now show ever opened file as its own taskbar icon on windows 7.
  ADDED - Now possible to create hardlinks/junctions and symblic links.

Release v0.9.3 (Build 671)

  ADDED - Mouse actions of the Path Field can now be customized.
  FIXED - Now possible to abort the opening of zip archive.
	FIXED - Better error handling when trying to create key in a place where user has no permission.
  FIXED - Dropdown list for the crumbbar is now align to the next crumbbar item.
	FIXED - Thread syncing problem when copying many small files.
	FIXED - Hanging if trying to start with an extension built using old SDK.
	FIXED - Going back in history could sometimes crash MultiCommander.
	ADDED - Delete progress dialog will now show progress in taskbar icon on Windows 7.
	ADDED - New column that shows the most common genre of the audio files located in an folder, Column is named "Genre Agr".
	FIXED - Bug that sometimes crashed MultiCommander when browsing root folder on FTP.
	ADDED - Find Opened files now supported by RunAsAdmin.
	ADDED - File Security tools now supported by RunAsAdmin.
	ADDED - Registry operations now supported by RunAsAdmin.
	ADDED - Local file operation like Create/Delete file and folder now supported by RunAsAdmin.
	ADDED - Can now start a Administrator Mode that will allow MultiCommander to Admin work.
	ADDED - MultiDataViewer can now add/clear highlight text from context menu.
	FIXED - If MultiCommander was started with a registry path as initial path, it was not possible to create a registry values at that location.

Release v0.9.2 (Build 660)

	ADDED - New command line "cf <file>" that will allow the user to create a new empty file.
	ADDED - New command line "mkdir <folder>" that will allow the user to create new folders quickly.
	FIXED - If Column name is set it is now also used instead of the Title name.
	FIXED - Removing columns in the Column customization dialog now removes only the selected column.
	FIXED - Deleting registry keys sometimes complained that "(Default)" item could not be deleted.
	ADDED - Default shortcut key for showing properties of audio files ( CTRL+Y )
	ADDED - Default music column set that will be used when user go to the default windows music folders. 
	ADDED - New Extension - MCAudioTools - Added Audio file properties and Remove/Export/Edit of ID3 tags.
	FIXED - Column sets assigned to path(s) did not always activate the retrieval of the extra columns.
	FIXED - Sometimes when running CRC Checking, MultiCommander could crash.
	FIXED - Problem when renaming files that failed CRC checking.
	ADDED - New picture tool to adjust the exif date and time in images.
	FIXED - Unzip problem that crash MultiCommander on a very few machines. 
	ADDED - New tool that set the date/time of folders and subfolders to the date/time of the latest item in that folder.
	FIXED - Folder date is now set when copying and option "Keep Date/Time is on".
	FIXED - Button panel height is now set correct if number of button rows are changed.
	FIXED - Multi language support in various places.
	FIXED - Error handling of some very uncommon file errors. 
	ADDED - Now Possible to test packed files. Zip, 7-Zip, and Rar are supported.
	ADDED - Improved the speed when creating and unpacking zip archives.

Release v0.9.1 (Build 628)

	ADDED - Navigation to the next or previous selected file with by pressing shift+ctrl + arrow up or arrow down key.
	CHANGE- New Multi Commander application icon.
	FIXED - Problem with file system plugins that registered empty extension.
	FIXED - When creating folder using context menu when using Explorer Styled setup, The new Folder was not set into rename mode.
	FIXED - Problem that zip archive was not closed after scanning them. 
	        Started to happen after the "4GB+ Zips with CRC error" bug was fixed.
	ADDED - File system and Network folders will be scanned faster if Multi Commander is run on Windows 7 or 2008R2
	CHANGE- Registered commands for the Command line is no longer case sensitive.
	FIXED - Copying registry values with empty data was not set to the correct data type.
	FIXED - Registry values with \ in the value name could not be deleted.
	FIXED - Registry value names with dot in the name is now shown correct. 
	FIXED - Files larger then 2GB in size will now be shown correct when using FTP.
	FIXED - Download a file from FTP if the file was located in the root of the ftp server.
	FIXED - Refresh problem in the root folder on an FTP device. 
	FIXED - Problem when deleting files that has READONLY attribute in some special cases.
	FIXED - CustomCommand "MC.Explorer.Selection.InvertSelection" now works again.
	ADDED - Faster unpack of single zip archives.
	ADDED - Multi language support to more dialogs and text.
	CHANGE- Better Error dialogs in some places.
	FIXED - Better Error handling with zip archives.
	FIXED - Problem with Zip archive larger then 4GB that had crc error.
	FIXED - Better handling when copying files with option "Do not use system cache"
	FIXED - Possible crash when closing tab while scanning file system.
	FIXED - Tooltip text in search dialog.
	FIXED - Problem with drag and drop of zip files.
	FIXED - Better error handling when errors happening with zip archives.
	FIXED - Fixed possible crash problem with send feedback.
	FIXED - Missing translations Swedish in some places.

Release v0.9.0 (Build 613)

	First public beta release

